file { '/var/mqm/keys':
  ensure => 'directory',
  owner  => 'mqm',
}

mq_key_db { '/var/mqm/keys/test_db_1.kdb':
  ensure   => 'present',
  stashed  => true,
  password => 'verysecret',
}

mq_key_db { '/var/mqm/keys/test_db_2.kdb':
  ensure   => 'present',
  stashed  => true,
  password => 'verysecret',
}

#
# Create a self signed certificate in the key database
#
mq_certificate { '/var/mqm/keys/test_db_1.kdb:my_label_1':
  ensure             => 'present',
  distinguished_name => 'cn=bert',
  password           => 'verysecret',
}

mq_certificate { '/var/mqm/keys/test_db_1.kdb:my_label_2':
  ensure             => 'present',
  distinguished_name => 'cn=bert',
  password           => 'verysecret',
}

mq_certificate { '/var/mqm/keys/test_db_1.kdb:my_label_3':
  ensure             => 'present',
  distinguished_name => 'cn=bert',
  password           => 'verysecret',
}

#
# Get a certificate from the key database
#
mq_certificate_file { '/var/mqm/keys/my_label_1.p12':
  ensure          => 'present',
  key_db          => '/var/mqm/keys/test_db_1.kdb',
  label           => 'my_label_1',
  password        => 'verysecret',
  target_password => 'verysecret',
  type            => 'p12',
}

#
# Get a certificate from the key database
#
mq_certificate_file { '/var/mqm/keys/my_label_2.ascii':
  ensure   => 'present',
  key_db   => '/var/mqm/keys/test_db_1.kdb',
  label    => 'my_label_2',
  type     => 'ascii',
  password => 'verysecret',
}

mq_certificate_file { '/var/mqm/keys/my_label_3.bin':
  ensure   => 'present',
  type     => 'binary',
  password => 'verysecret',
  key_db   => '/var/mqm/keys/test_db_1.kdb',
  label    => 'my_label_3',
}

#
# Import an external certificate into the key database
#
mq_certificate { '/var/mqm/keys/test_db_2.kdb:my_label_1':
  ensure          => 'present',
  source          => '/var/mqm/keys/my_label_1.p12',
  source_label    => 'my_label_1',
  source_password => 'verysecret',
  source_type     => 'p12',
  password        => 'verysecret',
}

mq_certificate { '/var/mqm/keys/test_db_2.kdb:my_label_2':
  ensure      => 'present',
  source      => '/var/mqm/keys/my_label_2.ascii',
  source_type => 'ascii',
  password    => 'verysecret',
}
