#
# See the file "LICENSE" for the full license governing this code.
#
require "#{File.dirname(__FILE__)}/../puppet_x/enterprisemodules/mq/core"

Facter.add('mq_managers') do
  confine do
    mq_path = Facter.value('mq_path')
    Facter.value('mq_version') != 'not-installed' &&
      File.exist?("#{mq_path}/bin/dspmq")
  end

  setcode do
    extend PuppetX::EnterpriseModules::Mq::Commands
    extend PuppetX::EnterpriseModules::Mq::Type::ClassMethods
    queue_managers.collect { |k, v| { 'name' => k, 'state' => v } }
  end
end
