#
# See the file "LICENSE" for the full license governing this code.
#
#
# Function to fetch the fact mq_managers and based on that information
# decide if the specfied queue manager is running in standby mode or not.
#
Puppet::Functions.create_function('mq_config::resources_for') do
  dispatch :resources_for do
    param       'Hash[String,Hash]', :resources
    param       'String',            :manager
  end

  def resources_for(resources, manager)
    resources.dup.keep_if { |k, _v| k.include?("#{manager}/") }
  end
end
