#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:adoptctx, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  desc <<-DESC
  Whether to use the presented credentials as the context for this application. This means that they are used for authorization checks, shown on administrative displays, and appear in messages.
  - **YES** The user ID presented in the MQCSP structure, which has been successfully validated by password, is adopted as the context to use for this application. Therefore, this user ID will be the credentials checked for authorization to use IBM MQ resources.
  If the user ID presented is an LDAP user ID, and authorization checks are done using operating system user IDs, the SHORTUSR associated with the user entry in LDAP will be adopted as the credentials for authorization checks to be done against.
  - **NO** Authentication will be performed on the user ID and password presented in the MQCSP structure, but then the credentials will not be adopted for further use. Authorization will be performed using the user ID the application is running under.
  This attribute is only valid for an AUTHTYPE of IDPWOS and IDPWLDAP.
  DESC

  newvalues('YES', 'NO')
  data_type("Optional[Enum['YES', 'NO']]")
end
