#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:authenmd, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  desc <<-DESC
  Authentication method. Whether to use the operating system or Pluggable Authentication Method (PAM) to authenticate user passwords.
  - **OS** Use the traditional UNIX password verification method.
  - **PAM** Use the PAM to authenticate the user password.

  You can set the PAM value only on UNIX and Linux.
  Changes to this attribute are effective only after you run the REFRESH SECURITY TYPE(CONNAUTH) command.
  This attribute is valid only for an AUTHTYPE of IDPWOS.
  DESC
  newvalues('OS', 'PAM')
  data_type("Optional[Enum['OS', 'PAM']]")
end
