#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:authentication_type) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DESC
  The authentication type.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC

  isnamevar

  newvalues('CRLLDAP', 'OCSP', 'IDPWOS', 'IDPWLDAP')
  data_type("Optional[Enum['CRLLDAP', 'OCSP', 'IDPWOS', 'IDPWLDAP']]")
end
