#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:authormd, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  desc <<-DESC
  Authorization Method.

  - **OS** Use operating system groups to determine permissions associated with a user. This is how IBM MQ has previously worked, and is the default value.
  - **SEARCHGRP** A group entry in the LDAP repository contains an attribute listing all the users belonging to that group. Membership is indicated by the attribute defined in FINDGRP. This value is typically member or uniqueMember.
  - **SEARCHUSR** A user entry in the LDAP repository contains an attribute listing all the groups to which the specified user belongs. The attribute to query is defined by the FINDGRP value, typically memberOf.
  Many LDAP servers use an attribute of the group object to determine group membership and you should, therefore, set this value to SEARCHGRP.
  Microsoft Active Directory typically stores group memberships as a user attribute. The IBM Tivoli Directory Server supports both methods.
  In general, retrieving memberships through a user attribute will be faster than searching for groups that list the user as a member.
  DESC
  newvalues('OS', 'SEARCHGRP', 'SEARCHUSR')
  data_type("Optional[Enum['OS', 'SEARCHGRP', 'SEARCHUSR']]")
end
