#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:chcklocl, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  desc <<-DESC
  This attribute determines the authentication requirements for locally bound applications, and is valid only for an AUTHTYPE of IDPWOS or IDPWLDAP.
  [MQ Appliance]For information about use of this attribute on IBM MQ Appliance, see Control commands on the IBM MQ Appliance in the IBM MQ Appliance documentation.
  The possible values are:

  - **NONE** No user ID and password checks are made. If any user ID or password is supplied by a locally bound application, the credentials are ignored.
  - **OPTIONAL** Locally bound applications are not required to provide a user ID and password. Any applications that do provide a user ID and password in the MQCSP structure have them authenticated by the queue manager against the password store indicated by the AUTHTYPE. The connection is only allowed to continue if the user ID and password are valid. This option might be useful during migration, for example.
  - **REQUIRED** All locally bound applications must provide a user ID and password in the MQCSP structure. This user ID and password will be authenticated by the queue manager against the password store indicated by the AUTHTYPE. The connection will only be allowed to continue if the user ID and password are valid. [z/OS]If your user ID has UPDATE access to the BATCH profile in the MQCONN class, you can treat CHCKLOCL(REQUIRED) as if it is CHCKLOCL(OPTIONAL). That is, you do not have to supply a password, but if you do, the password must be the correct one. See Using CHCKLOCL on locally bound applications.
  - **REQDADM** All locally bound applications using a privileged user ID must provide a user ID and password in the MQCSP structure. Any locally bound applications using a non-privileged user ID are not required to provide a user ID and password and are treated as with the OPTIONAL setting. Any provided user ID and password will be authenticated by the queue manager against the password store indicated by the AUTHTYPE. The connection will only be allowed to continue if the user ID and password are valid.
  DESC

  newvalues('NONE', 'OPTIONAL', 'REQUIRED', 'REQDADM')
  data_type("Optional[Enum['NONE', 'OPTIONAL', 'REQUIRED', 'REQDADM']]")
end
