#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:conname, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  quote_values true # This property needs quoted values

  desc <<-DESC
  The host name, IPv4 dotted decimal address, or IPv6 hexadecimal notation of the host on which the LDAP server is running, with an optional port number.
  This parameter is valid only for AUTHTYPE(CRLLDAP), when it is mandatory.
  If you specify the connection name as an IPv6 address, only systems with an IPv6 stack are able to resolve this address. If the AUTHINFO object is part of the CRL namelist of the queue manager, ensure that any clients using the client channel table generated by the queue manager can resolve the connection name.
  On z/OS, if a CONNAME is to resolve to an IPv6 network address, a level of z/OS that supports IPv6 for connection to an LDAP server is required.
  The syntax for CONNAME is the same as for channels
  DESC
  data_type('Optional[String[1]]')
end
