#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:faildlay, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  When a user ID and password are provided for connection authentication, and the authentication fails due to the user ID or password being incorrect, this is the delay, in seconds, before the failure is returned to the application.
  This can aid in avoiding busy loops from an application that simply retries, continuously, after receiving a failure.
  The value must be in the range 0 - 60 seconds. The default value is 1.
  This attribute is only valid for an AUTHTYPE of IDPWOS and IDPWLDAP.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer[0,60]]]")
end
