#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:ldappwd, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  desc <<-DESC
  The password associated with the Distinguished Name of the user who is accessing the LDAP server. Its maximum size is 32 characters.
  This parameter is valid only for AUTHTYPE(CRLLDAP).
  On z/OS, the LDAPPWD used for accessing the LDAP server might not be the one defined in the AUTHINFO object. If more than one AUTHINFO object is placed in the namelist referred to by the QMGR parameter SSLCRLNL, the LDAPPWD in the first AUTHINFO object is used for accessing all LDAP Servers.
  This attribute is valid only for an AUTHTYPE of CRLLDAP and IDPWLDAP.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  data_type('Optional[String[1]]')
end
