#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ldapuser, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  quote_values true # This property needs quoted values

  desc <<-DESC
  he Distinguished Name of the user who is accessing the LDAP server. (See the SSLPEER parameter for more information about distinguished names.)
  This parameter is valid only for AUTHTYPE(CRLLDAP).
  The maximum size for the user name is 1024 characters on IBM i, UNIX, Linux, and Windows, and 256 characters on z/OS.
  On z/OS, the LDAPUSER used for accessing the LDAP Server might not be the one defined in the AUTHINFO object. If more than one AUTHINFO object is placed in the namelist referred to by the QMGR parameter SSLCRLNL, the LDAPUSER in the first AUTHINFO object is used for accessing all LDAP Servers.
  On IBM i, UNIX, Linux, and Windows, the maximum accepted line length is defined to be BUFSIZ, which can be found in stdio.h.
  This attribute is valid only for an AUTHTYPE of CRLLDAP and IDPWLDAP.
  DESC
  data_type('Optional[String[1]]')
end
