#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ocspurl, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  quote_values true # This property needs quoted values

  desc <<-DESC
  The URL of the OCSP responder used to check for certificate revocation. This value must be an HTTP URL containing the host name and port number of the OCSP responder. If the OCSP responder is using port 80, which is the default for HTTP, then the port number can be omitted. HTTP URLs are defined in RFC 1738.
  This field is case sensitive. It must start with the string http:// in lowercase. The rest of the URL might be case sensitive, depending on the OCSP server implementation. To preserve case, use single quotation marks to specify the OCSPURL parameter value, for example:
   OCSPURL ('http://ocsp.example.ibm.com')
   This parameter is applicable only for AUTHTYPE(OCSP), when it is mandatory.
  DESC
  data_type('Optional[String[1]]')
end
