#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:seccomm, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  desc <<-DESC
  - **YES** Connectivity to the LDAP server is made securely using TLS. The certificate used is the default certificate for the queue manager, named in CERTLABL on the queue manager object, or if that is blank, the one described in Digital certificate labels, understanding the requirements. The certificate is located in the key repository specified in SSLKEYR on the queue manager object. A cipherspec will be negotiated that is supported by both IBM MQ and the LDAP server. If the queue manager is configured to use SSLFIPS(YES) or SUITEB cipher specs, then this is taken account of in the connection to the LDAP server as well.
  - **ANON** Connectivity to the LDAP server is made securely using TLS just as for SECCOMM(YES) with one difference. No certificate is sent to the LDAP server; the connection will be made anonymously. To use this setting, ensure that the key repository specified in SSLKEYR, on the queue manager object, does not contain a certificate marked as the default.
  - **NO** Connectivity to the LDAP server does not use TLS.

  This attribute is valid only for an AUTHTYPE of IDPWLDAP.
  DESC
  newvalues('YES', 'ANON', 'NO')
  data_type("Optional[Enum['YES', 'ANON', 'NO']]")
end
