#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:shortusr, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  quote_values true # This property needs quoted values

  desc <<-DESC
  A field in the user record to be used as a short user name in IBM MQ.
  This field must contain values of 12 characters or less. This short user name is used for the following purposes:
  If LDAP authentication is enabled, but LDAP authorization is not enabled, this is used as an operating system user ID for authorization checks. In this case, the attribute must represent an operating system user ID.
  If LDAP authentication and authorization are both enabled, this is used as the user ID carried with the message in order for the LDAP user name to be rediscovered when the user ID inside the message needs to be used.
  For example, on another queue manager, or when writing report messages. In this case, the attribute does not need to represent an operating system user ID, but must be a unique string. An employee serial number is an example of a good attribute for this purpose.
  This attribute is valid only for an AUTHTYPE of IDPWLDAP and is mandatory.
  DESC
  data_type('Optional[String[1]]')
end
