#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:usrfield, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  quote_values true # This property needs quoted values

  desc <<-DESC
  If the user ID provided by an application for authentication does not contain a qualifier for the field in the LDAP user record, that is, it does not contain an ' = ' sign, this attribute identifies the field in the LDAP user record that is used to interpret the provided user ID.
  This field can be blank. If this is the case, any unqualified user IDs use the SHORTUSR parameter to interpret the provided user ID.
  The contents of this field will be concatenated with an ' = ' sign, together with the value provided by the application, to form the full user ID to be located in an LDAP user record. For example, the application provides a user of fred and this field has the value cn, then the LDAP repository will be searched for cn=fred.
  This attribute is valid only for an AUTHTYPE of IDPWLDAP.
  DESC
  data_type('Optional[String[1]]')
end
