#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:mq_type) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DESC
  The mq type.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC

  isnamevar

  newvalues(
    'authinfo',
    'channel',
    'chl',
    'clntconn',
    'clcn',
    'comminfo',
    'listener',
    'lstr',
    'namelist',
    'nl',
    'process',
    'prcs',
    'queue',
    'q',
    'qmgr',
    'rqmname',
    'rqmn',
    'service',
    'srvc',
    'topic',
    'topic'
  )
  data_type("Optional[Enum['authinfo',
  'channel',
  'chl',
  'clntconn',
  'clcn',
  'comminfo',
  'listener',
  'lstr',
  'namelist',
  'nl',
  'process',
  'prcs',
  'queue',
  'q',
  'qmgr',
  'rqmname',
  'rqmn',
  'service',
  'srvc',
  'topic',
  'topic']]")
end
