#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DESC
    The full name of the object which security you want to manage.
    The full name constists of the name of the Queue manager, a slash and then the
    name of the object. Here is an example:

        QMGR1/MY.FIRST.CHANNEL

  DESC
  data_type('Optional[String[1]]')
  isnamevar

  to_translate_to_resource do |raw_resource|
    qmgr        = raw_resource[:qmgr]
    object_type = raw_resource[:output].scan(/object type:\s+(.*)/).flatten.first
    object      = raw_resource[:output].scan(/profile:\s+(.*)/).flatten.first
    entity_type = raw_resource[:output].scan(/entity type:\s+(.*)/).flatten.first
    entity      = raw_resource[:output].scan(/entity:\s+(.*)/).flatten.first
    "#{entity_type}/#{entity}->#{qmgr}/#{object_type}/#{object}"
  end
end
