#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:key_size) do
  include EasyType

  desc <<-DESC
  The size of the key to generate.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC

  newvalues(512, 1024, 2048, 4096)
  data_type('Optional[Variant[Integer[512,512],Integer[1024,1024],Integer[2048,2048],Integer[4096,4096]]]')
end
