#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type/source_dir'

newparam(:source, :parent => EasyType::SourceDir) do
  include EasyType

  desc <<-DESC
  The source file containing the certificate.

  It can by either a file or an url. The following kind of URL's are supported:

  * `puppet:` URIs, which point to files in modules or Puppet file server
  mount points.
  * Fully qualified paths to locally available files (including files on NFS
  shares or Windows mapped drives).
  * `file:` URIs, which behave the same as local file paths.
  * `http:` URIs, which point to files served by common web servers

  The normal form of a `puppet:` URI is:

  `puppet:///modules/<MODULE NAME>/<FILE PATH>`

  This will fetch a file from a module on the Puppet master (or from a
  local module when using Puppet apply). Given a `modulepath` of
  `/etc/puppetlabs/code/modules`, the example above would resolve to
  `/etc/puppetlabs/code/modules/<MODULE NAME>/files/<FILE PATH>`.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  data_type('Optional[String[1]]')
end
