#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:batchhb, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  Specifies whether batch heartbeats are to be used. The value is the length of the heartbeat in milliseconds.
  Batch heartbeats allow a sending channel to verify that the receiving channel is still active just before committing a batch of messages. If the receiving channel is not active, the batch can be backed out rather than becoming in-doubt, as would otherwise be the case. By backing out the batch, the messages remain available for processing so they could, for example, be redirected to another channel.
  If the sending channel received a communication from the receiving channel within the batch heartbeat interval, the receiving channel is assumed to be still active. If not, a 'heartbeat' is sent to the receiving channel to check.
  The value must be in the range 0 - 999999. A value of zero indicates that batch heart beats are not used.
  This parameter is valid for channels with a channel type ( CHLTYPE ) of only SDR, SVR, CLUSSDR, and CLUSRCVR.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer[0]]]")
end
