#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:batchint, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The minimum amount of time, in milliseconds, that a channel keeps a batch open.
  The batch is terminated when one of the following conditions is met:
  BATCHSZ messages are sent.
  BATCHLIM kilobytes are sent.
  The transmission queue is empty and BATCHINT is exceeded.
  The value must be in the range 0 - 999999999. Zero means that the batch is terminated as soon as the transmission queue becomes empty (or the BATCHSZ limit is reached).
  This parameter is valid for channels with a channel type ( CHLTYPE ) of only SDR, SVR, CLUSSDR, and CLUSRCVR.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer[0]]]")
end
