#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:batchlim, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The limit, in kilobytes, of the amount of data that can be sent through a channel before taking a sync point. A sync point is taken after the message that caused the limit to be reached flows across the channel. A value of zero in this attribute means that no data limit is applied to batches over this channel.
  The batch is terminated when one of the following conditions is met:
  - BATCHSZ messages are sent.
  - BATCHLIM kilobytes are sent.
  The transmission queue is empty and BATCHINT is exceeded.
  This parameter is valid for channels with a channel type ( CHLTYPE ) of only SDR, SVR, CLUSSDR, and CLUSRCVR.
  The value must be in the range 0 - 999999. The default value is 5000.
  This parameter is supported on all platforms.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer[0,999999]]]")
end
