#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:batchsz, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The maximum number of messages that can be sent through a channel before taking a sync point.
  The maximum batch size used is the lowest of the following values:
  - The BATCHSZ of the sending channel.
  - The BATCHSZ of the receiving channel.
  - [z/OS]On z/OS, three less than the maximum number of uncommitted messages allowed at the sending queue manager (or one if this value is zero or less).
  - On distributed platforms, the maximum number of uncommitted messages allowed at the sending queue manager (or one if this value is zero or less).
  - [z/OS]On z/OS, three less than the maximum number of uncommitted messages allowed at the receiving queue manager (or one if this value is zero or less).
  - On distributed platforms, the maximum number of uncommitted messages allowed at the receiving queue manager (or one if this value is zero or less).

  The maximum number of uncommitted messages is specified by the MAXUMSGS parameter of the ALTER QMGR command.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of SDR, SVR, RCVR, RQSTR, CLUSSDR, or CLUSRCVR.
  The value must be in the range 1 - 9999.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer[0,9999]]]")
end
