#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:chltype, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  desc <<-DESC
  The type of channel to manage. This is a required value. Valid values are:

  - SDR
  - SVR
  - RCVR
  - RQSTR
  - CLNTCONN
  - SVRCONN
  - CLUSSDR
  - CLUSRCVR
  - AMQP
  - MQTT

  This is an immutable property. So you cannot change it.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  newvalues('SDR', 'SVR', 'RCVR', 'RQSTR', 'CLNTCONN', 'SVRCONN', 'CLUSSDR', 'CLUSRCVR', 'AMQP', 'MQTT')
  defaultto('SVR')
  data_type("Optional[Enum['SDR', 'SVR', 'RCVR', 'RQSTR', 'CLNTCONN', 'SVRCONN', 'CLUSSDR', 'CLUSRCVR', 'AMQP', 'MQTT']]")
  def self.translate_to_resource(raw_resource, _resource)
    raw_resource[:type]
  end

  def insync?(value)
    fail 'you cannot change the type of a channel' if value.to_s != should.to_s

    super
  end

  on_create do
    # The create uses this value to construct the command
  end
end
