#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:clwlrank, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  Specifies the rank of the channel for the purposes of cluster workload distribution. The value must be in the range 0 - 9 where 0 is the lowest rank and 9 is the highest.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of CLUSSDR and CLUSRCVR channels.
  For more information about this attribute, see [CLWLRANK channel attribute](https://www.ibm.com/support/knowledgecenter/en/SSFKSJ_9.0.0/com.ibm.mq.ref.con.doc/q082460_.htm?view=kc).
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
