#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:clwlwght, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  Specifies the weighting to be applied to a channel so that the proportion of messages sent down the channel can be controlled by workload management. The value must be in the range 1 - 99 where 1 is the lowest rank and 99 is the highest.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of CLUSSDR and CLUSRCVR channels.
  For more information about this attribute, see [CLWLWGHT channel attribute](https://www.ibm.com/support/knowledgecenter/en/SSFKSJ_9.0.0/com.ibm.mq.ref.con.doc/q082470_.htm?view=kc).
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
