#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:comphdr, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  desc <<-DESC
  The list of header data compression techniques supported by the channel.
  For SDR, SVR, CLUSSDR, CLUSRCVR, and CLNTCONN channels, the values must be specified in order of preference. The first compression technique in the list that is supported by the remote end of the channel is used.
  The mutually supported compression techniques of the channel are passed to the message exit of the sending channel. The message exit can alter the compression technique on a per message basis. Compression alters the data passed to send and receive exits.
  Valid values are:
  - NONE No header data compression is performed.
  - SYSTEM Header data compression is performed.
  DESC

  newvalues('NONE', 'SYSTEM')
  data_type("Optional[Enum['NONE', 'SYSTEM']]")
end
