#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:compmsg, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  desc <<-DESC
  The list of message data compression techniques supported by the channel.
  For SDR, SVR, CLUSSDR, CLUSRCVR, and CLNTCONN channels, the values must be specified in order of preference. The first compression technique in the list that is supported by the remote end of the channel is used.
  The mutually supported compression techniques of the channel are passed to the message exit of the sending channel. The message exit can alter the compression technique on a per message basis. Compression alters the data passed to send and receive exits.
  Valid values are:
  - NONE No message data compression is performed.
  - RLE Message data compression is performed using run-length encoding.
  - ZLIBFAST Message data compression is performed using ZLIB encoding with speed prioritized.
  - ZLIBHIGH Message data compression is performed using ZLIB encoding with compression prioritized.
  - ANY Any compression technique supported by the queue manager can be used. This value is only valid for RCVR, RQSTR, and SVRCONN channels.
  DESC

  newvalues('NONE', 'RLE', 'ZLIBFAST', 'ZLIBHIGH', 'ANY')
  data_type("Optional[Enum['NONE', 'RLE', 'ZLIBFAST', 'ZLIBHIGH', 'ANY']]")
end
