#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:defcdisp, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  desc <<-DESC
  Specifies the default channel disposition of the channel.
  Valid values are:
  - PRIVATE The intended disposition of the channel is as a private channel.
  - FIXSHARED The intended disposition of the channel is as a shared channel associated with a specific queue manager.
  - SHARED The intended disposition of the channel is as a shared channel.
  This parameter does not apply to channels with a channel type ( CHLTYPE ) of CLNTCONN, CLUSSDR, or CLUSRCVR.
  DESC

  newvalues('PRIVATE', 'FIXSHARED', 'SHARED')
  data_type("Optional[Enum['PRIVATE', 'FIXSHARED', 'SHARED']]")
end
