#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:defrecon, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  desc <<-DESC
  Specifies whether a client connection automatically reconnects a client application if its connection breaks.
  Valid values are:
  - NO Unless overridden by MQCONNX, the client is not reconnected automatically.
  - YES Unless overridden by MQCONNX, the client reconnects automatically.
  - QMGR Unless overridden by MQCONNX, the client reconnects automatically, but only to the same queue manager. The QMGR option has the same effect as MQCNO_RECONNECT_Q_MGR.
  - DISABLED Reconnection is disabled, even if requested by the client program using the MQCONNX MQI call.

  DESC

  newvalues('NO', 'YES', 'QMGR', 'DISABLED')
  data_type("Optional[Enum['NO', 'YES', 'QMGR', 'DISABLED']]")
end
