#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:discint, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The minimum time in seconds for which the channel waits for a message to arrive on the transmission queue. The waiting period starts after a batch ends. After the end of the waiting period, if there are no more messages, the channel is ended. A value of zero causes the message channel agent to wait indefinitely.
  The value must be in the range 0 - 999 999.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of SVRCONN, SDR, SVR, CLUSSDR, CLUSRCVR.
  For SVRCONN channels using the TCP protocol, DISCINT has a different interpretation. It is the minimum time in seconds for which the SVRCONN instance remains active without any communication from its partner client. A value of zero disables this disconnect processing. The SVRCONN inactivity interval applies only between IBM MQ API calls from a client, so no client is disconnected during an extended MQGET with wait call. This attribute is ignored for SVRCONN channels using protocols other than TCP.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer[0,999999]]]")
end
