#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:like, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  The name of a channel. The parameters of this channel are used to model this definition.
  If you do not set LIKE, and do not set a parameter field related to the command, its value is taken from one of the default channels. The default values depend upon the channel type:
  SYSTEM.DEF.SENDER
  Sender channel
  SYSTEM.DEF.SERVER
  Server channel
  SYSTEM.DEF.RECEIVER
  Receiver channel
  SYSTEM.DEF.REQUESTER
  Requester channel
  SYSTEM.DEF.SVRCONN
  Server-connection channel
  SYSTEM.DEF.CLNTCONN
  Client-connection channel
  SYSTEM.DEF.CLUSSDR
  CLUSSDR channel
  SYSTEM.DEF.CLUSRCVR
  Cluster-receiver channel
  SYSTEM.DEF.AMQP
  AMQP channel
  This parameter is equivalent to defining the following object:
  LIKE(SYSTEM.DEF.SENDER)
  for a SDR channel, and similarly for other channel types.
  These default channel definitions can be altered by the installation to the default values required.
  [z/OS]On z/OS, the queue manager searches page set zero for an object with the name you specify and a disposition of QMGR or COPY. The disposition of the LIKE object is not copied to the object and channel type you are defining.
  Note
  QSGDISP(GROUP) objects are not searched.
  LIKE is ignored if QSGDISP(COPY) is specified. However, the group object defined is used as a LIKE object.
  DESC
  data_type('Optional[String[1]]')
end
