#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:longtmr, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  For LONGRTY, LONGTMR is the maximum number of seconds to wait before reattempting connection to the remote queue manager.
  The time is approximate; zero means that another connection attempt is made as soon as possible.
  The interval between attempting to reconnect might be extended if the channel has to wait to become active.
  The LONGTMR value must be in the range 0 - 9999999.
  Note
  For implementation reasons, the maximum LONGTMR value is 999,999; values exceeding this maximum are treated as 999,999. Similarly, the minimum interval between attempting to reconnect is 2 seconds. Values less than this minimum are treated as 2 seconds.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of SDR, SVR, CLUSSDR, or CLUSRCVR.

  DESC
  data_type("Optional[Variant[Enum['absent'],Integer[0,999999]]]")
end
