#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:maxinst, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The maximum number of simultaneous instances of an individual SVRCONN channel or AMQP channel that can be started.
  The value must be in the range 0 - 999999999.
  A value of zero prevents all client access on this channel.
  New instances of SVRCONN channels cannot start if the number of running instances equals or exceeds the value of this parameter. If MAXINST is changed to less than the number of instances of the SVRCONN channel that are currently running, the number of running instances is not affected.
  [V9.0.0.0 Jun 2016]If an AMQP client attempts to connect to an AMQP channel, and the number of connected clients has reached MAXINST, the channel closes the connection with a close frame. The close frame contains the following message: amqp:resource-limit-exceeded. If a client connects with an ID that is already connected (that is, it performs a client-takeover), and the client is permitted to take over the connection, the takeover will succeed regardless of whether the number of connected clients has reached MAXINST.
  This parameter is valid only for channels with a channel type (CHLTYPE) of SVRCONN or AMQP.
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,999999999]]]")
end
