#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:maxinstc, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The maximum number of simultaneous individual SVRCONN channels that can be started from a single client. In this context, connections that originate from the same remote network address are regarded as coming from the same client.
  The value must be in the range 0 - 999999999.
  A value of zero prevents all client access on this channel.
  If you reduce the value of MAXINSTC to less than the number of instances of the SVRCONN channel that is currently running from an individual client, the running instances are not affected. New SVRCONN instances from that client cannot start until the client is running fewer instances than the value of MAXINSTC.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of SVRCONN.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer[0]]]")
end
