#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:maxmsgl, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  Specifies the maximum message length that can be transmitted on the channel. This parameter is compared with the value for the partner and the actual maximum used is the lower of the two values. The value is ineffective if the MQCB function is being executed and the channel type ( CHLTYPE ) is SVRCONN.
  The value zero means the maximum message length for the queue manager; see ALTER QMGR MAXMSGL.
  On AIX, HP-UX, IBM i, Linux, Solaris, and Windows, specify a value in the range zero to the maximum message length for the queue manager.
  [z/OS]On z/OS, specify a value in the range 0 - 104857600 bytes (100 MB).
  Note that by adding the digital signature and key to the message, Advanced Message Security increases the length of the message.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,104857600]]]")
end
