#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:mcatype, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  desc <<-DESC
  Specifies whether the message-channel-agent program on an outbound message channel runs as a thread or a process.

  Valid values are:
  - PROCESS The message channel agent runs as a separate process.
  - THREAD The message channel agent runs as a separate thread
  In situations where a threaded listener is required to service many incoming requests, resources can become strained. In this case, use multiple listener processes and target incoming requests at specific listeners though the port number specified on the listener.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of SDR, SVR, RQSTR, CLUSSDR, or CLUSRCVR. It is supported only on AIX, HP-UX, IBM i, Linux, Solaris, and Windows.
  [z/OS]On z/OS, it is supported only for channels with a channel type of CLUSRCVR. When specified in a CLUSRCVR definition, MCATYPE is used by a remote machine to determine the corresponding CLUSSDR definition.
  DESC

  newvalues('PROCESS', 'THREAD')
  data_type("Optional[Enum['PROCESS', 'THREAD']]")
end
