#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:mcauser, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  Message channel agent user identifier.
  Note
  An alternative way of providing a user ID for a channel to run under is to use channel authentication records. With channel authentication records, different connections can use the same channel while using different credentials. If both MCAUSER on the channel is set and channel authentication records are used to apply to the same channel, the channel authentication records take precedence. The MCAUSER on the channel definition is only used if the channel authentication record uses USERSRC(CHANNEL). For more details, see Channel authentication records
  This parameter interacts with PUTAUT ; see PUTAUT.
  If MCAUSER is nonblank, a user identifier is used by the message channel agent for authorization to access IBM MQ resources. If PUTAUT is DEF, authorization includes authorization to put the message to the destination queue for RCVR or RQSTR channels.
  If it is blank, the message channel agent uses its default user identifier.
  The default user identifier is derived from the user ID that started the receiving channel. The possible values are:
  [z/OS]z/OS,
  [z/OS]The user ID assigned to the channel-initiator started task by the z/OS started-procedures table.
  TCP/IP, distributed platforms
  The user ID from the inetd.conf entry, or the user that started the listener.
  SNA, distributed platforms
  The user ID from the SNA server entry. In the absence of the user ID from the SNA server entry, the user from the incoming attach request, or the user that started the listener.
  NetBIOS or SPX
  The user ID that started the listener.
  The maximum length of the string is 64 characters on Windows and 12 characters on other platforms. On Windows, you can optionally qualify a user identifier with the domain name in the format user@domain.
  This parameter is not valid for channels with a channel type ( CHLTYPE ) of SDR, SVR, CLNTCONN, CLUSSDR.

  DESC
  data_type('Optional[String[1]]')
end
