#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:modename, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  LU 6.2 mode name (maximum length 8 characters).
  This parameter is valid only for channels with a transport type ( TRPTYPE ) of LU62. If TRPTYPE is not LU62, the data is ignored and no error message is issued.
  If specified, this parameter must be set to the SNA mode name unless the CONNAME contains a side-object name. If CONNAME is a a side-object name it must be set to blanks. The actual name is then taken from the CPI-C Communications Side Object, or APPC side information data set [z/OS]; see Configuration parameters for an LU 6.2 connection.
  This parameter is not valid for channels with a channel type ( CHLTYPE ) of RCVR or SVRCONN.
  DESC
  data_type('Optional[String[1]]')
end
