#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:monchl, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  desc <<-DESC
  Controls the collection of online monitoring data for channels. Valid values are:
  - QMGR Collect monitoring data according to the setting of the queue manager parameter MONCHL.
  - OFF Monitoring data collection is turned off for this channel.
  - LOW If the value of the queue manager MONCHL parameter is not NONE, online monitoring data is turned on. Data us collected at a low rate for this channel.
  - MEDIUM If the value of the queue manager MONCHL parameter is not NONE, online monitoring data is turned on. Data us collected at a medium rate for this channel.
  - HIGH If the value of the queue manager MONCHL parameter is not NONE, online monitoring data is turned on. Data us collected at a high rate for this channel.

  Changes to this parameter take effect only on channels started after the change occurs.
  For cluster channels, the value of this parameter is not replicated in the repository and, therefore, not used in the auto-definition of CLUSSDR channels. For auto-defined CLUSSDR channels, the value of this parameter is taken from the queue manager attribute MONACLS. This value might then be overridden in the channel auto-definition exit.
  DESC

  newvalues('QMGR', 'OFF', 'LOW', 'MEDIUM', 'HIGH')
  data_type("Optional[Enum['QMGR', 'OFF', 'LOW', 'MEDIUM', 'HIGH']]")
end
