#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:mrrty, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The number of times the channel tries again before it decides it cannot deliver the message.
  This parameter controls the action of the MCA only if the message-retry exit name is blank. If the exit name is not blank, the value of MRRTY is passed to the exit to use. The number of attempts to redeliver the message is controlled by the exit, and not by this parameter.
  The value must be in the range 0 - 999999999. A value of zero means that no attempts to redeliver the message are tried.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of RCVR, RQSTR, or CLUSRCVR.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer[0,999999999]]]")
end
