#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:msgexit, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  Channel message exit name.
  If MSGEXIT is nonblank the exit is called at the following times:
  Immediately after a SDR or SVR channel retrieves a message from the transmission queue.
  Immediately before a RQSTR channel puts a message on destination queue.
  When the channel is initialized or ended.
  The exit is passed the entire application message and transmission queue header for modification.
  MSGEXIT is accepted and ignored by CLNTCONN and SVRCONN channels. CLNTCONN or SVRCONN channels do not call message exits.
  The format and maximum length of the exit name depends on the platform; see Table 5.
  If the MSGEXIT, MREXIT, SCYEXIT, SENDEXIT, and RCVEXIT parameters are all left blank, the channel user exit is not invoked. If any of these parameters is nonblank, the channel exit program is called. You can enter text string for these parameters. The maximum length of the string is 128 characters.
  DESC
  data_type('Optional[String[1]]')
end
