#
# See the file "LICENSE" for the full license governing this code.
#

require 'puppet_x/enterprisemodules/mq/mungers'

newparam(:name) do
  include EasyType
  include EasyType::Validators::Name
  include Puppet_X::EnterpriseModules::Mq::Mungers::ChannelName

  desc <<-DESC
    The full name of the channel. A channel's full name constists of the name of the
    Queue manager a slash and then the name of the channel. Here is an example:

        QMGR1/RCVR/MY.FIRST.CHANNEL

  DESC
  data_type('Optional[String[1]]')
  isnamevar

  to_translate_to_resource do |raw_resource|
    qmgr    = raw_resource[:qmgr]
    chltype = raw_resource[:chltype]
    channel = raw_resource[:channel]
    "#{qmgr}/#{chltype}/#{channel}"
  end
end
