#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:npmspeed, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  desc <<-DESC
  The class of service for nonpersistent messages on this channel. Valid values are:
  - FAST Fast delivery for nonpersistent messages; messages might be lost if the channel is lost. Messages are retrieved using MQGMO_SYNCPOINT_IF_PERSISTENT and so are not included in the batch unit of work.
  - NORMAL Normal delivery for nonpersistent messages.

  If the value of NPMSPEED differs between the sender and receiver, or either one does not support it, NORMAL is used.
  This parameter is valid only for channels with a CHLTYPE of SDR, SVR, RCVR, RQSTR, CLUSSDR, or CLUSRCVR.
  DESC

  newvalues('FAST', 'NORMAL')
  data_type("Optional[Enum['FAST', 'NORMAL']]")
end
