#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:putaut, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  desc <<-DESC
  PUTAUT specifies which user identifiers are used to establish authority for a channel. It specifies the user identifier to put messages to the destination queue using a message channel, or to run an MQI call using an MQI channel.
  DEF
  The default user ID is used.
  [z/OS]On z/OS, DEF might involve using both the user ID received from the network and that derived from MCAUSER.
  CTX
  The user ID from the UserIdentifier field of the message descriptor is used.
  [z/OS]On z/OS, CTX might involve also using the user ID received from the network or that derived from MCAUSER, or both.
  [z/OS]ONLYMCA
  [z/OS]The user ID derived from MCAUSER is used. Any user ID received from the network is not used. This value is supported only on z/OS.
  [z/OS]ALTMCA
  [z/OS]The user ID from the UserIdentifier field of the message descriptor is used. Any user ID received from the network is not used. This value is supported only on z/OS.
  [z/OS]On z/OS, the user IDs that are checked, and how many user IDs are checked, depends on the setting of the MQADMIN RACF class hlq.RESLEVEL profile. Depending on the level of access the user ID of the channel initiator has to hlq.RESLEVEL, zero, one, or two user IDs are checked. [z/OS]To see how many user IDs are checked, see RESLEVEL and the channel initiator connection. For more information about which user IDs are checked, see User IDs used by the channel initiator.
  On distributed platforms, this parameter is valid only for channels with a channel type (CHLTYPE) of RCVR, RQSTR, or CLUSRCVR.
  [z/OS]On z/OS, this parameter is valid only for channels with a channel type (CHLTYPE) of RCVR, RQSTR, CLUSRCVR, or SVRCONN. CTX and ALTMCA are not valid for SVRCONN channels.
  DESC
  newvalues('DEF', 'CTX')
  data_type("Optional[Enum['DEF', 'CTX']]")
end
