#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:rcvexit, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  Channel receive exit name.
  If this name is nonblank, the exit is called at the following times:
  Immediately before the received network data is processed.
  The exit is given the complete transmission buffer as received. The contents of the buffer can be modified as required.
  At initialization and termination of the channel.
  [AIX][HP-UX][Linux][Solaris][Windows]On AIX, HP-UX, Linux, Solaris, and Windows, you can specify the name of more than one exit program by specifying multiple strings separated by commas. However, the total number of characters specified must not exceed 999.
  [IBMi]On IBM i, you can specify the names of up to 10 exit programs by specifying multiple strings separated by commas.
  [z/OS]On z/OS, you can specify the names of up to eight exit programs by specifying multiple strings separated by commas.
  On other platforms, you can specify only one receive exit name for each channel.
  The format and maximum length of the name is the same as for MSGEXIT.
  DESC
  data_type('Optional[String[1]]')
end
