#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:scyexit, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  Channel security exit name.
  If this name is nonblank, the exit is called at the following times:
  - Immediately after establishing a channel.
  - Before any messages are transferred, the exit is able to instigate security flows to validate connection authorization.
  - Upon receipt of a response to a security message flow. Any security message flows received from the remote processor on the remote queue manager are given to the exit.
  - At initialization and termination of the channel.
  The format and maximum length of the name is the same as for MSGEXIT but only one name is allowed.
  DESC
  data_type('Optional[String[1]]')
end
