#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:seqwrap, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  When this value is reached, sequence numbers wrap to start again at 1.
  This value is nonnegotiable and must match in both the local and remote channel definitions.
  The value must be in the range 100 - 999999999.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of SDR, SVR, RCVR, RQSTR, CLUSSDR, or CLUSRCVR.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer[100]]]")
end
