#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:shortrty, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  SHORTRTY specifies the maximum number of attempts that are made by a SDR, SVR, or CLUSSDR channel to connect to the remote queue manager, at intervals specified by SHORTTMR. After the number of attempts is exhausted, the channel tries to reconnect using to the schedule defined by LONGRTY.
  The value must be in the range 0 - 999999999.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of SDR, SVR, CLUSSDR, or CLUSRCVR.
  A channel attempts to reconnect if it fails to connect initially, whether it is started automatically by the channel initiator or by an explicit command. It also tries to connect again if the connection fails after the channel successfully connecting. If the cause of the failure is such that more attempts are unlikely to be successful, they are not attempted.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer[0,999999999]]]")
end
