#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:shorttmr, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  For SHORTRTY, SHORTTMR is the maximum number of seconds to wait before reattempting connection to the remote queue manager.
  The time is approximate. From IBM MQ Version 8.0, zero means that another connection attempt is made as soon as possible.
  The interval between attempting to reconnect might be extended if the channel has to wait to become active.
  The value must be in the range 0 - 999999999.
  Note
  For implementation reasons, the maximum SHORTTMR value is 999,999; values exceeding this maximum are treated as 999,999. From IBM MQ Version 8.0, if SHORTTMR is set to 1 then the minimum interval between attempting to connect is 2 seconds.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of SDR, SVR, CLUSSDR, or CLUSRCVR.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer[0,999999999]]]")
end
