#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:sslcauth, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  desc <<-DESC
  SSLCAUTH defines whether IBM MQ requires a certificate from the TLS client. The TLS client is the initiating end of the channel. SSLCAUTH is applied to the TLS server, to determine the behavior required of the client. The TLS server is the end of the channel that receives the initiation flow.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of RCVR, SVRCONN, CLUSRCVR, SVR, OR RQSTR.
  The parameter is used only for channels with SSLCIPH specified. If SSLCIPH is blank, the data is ignored and no error message is issued.
  - REQUIRED IBM MQ requires and validates a certificate from the TLS client.
  - OPTIONAL The peer TLS client system might still send a certificate. If it does, the contents of this certificate are validated as normal.
  DESC

  newvalues('REQUIRED', 'OPTIONAL')
  data_type("Optional[Enum['REQUIRED', 'OPTIONAL']]")
end
