#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:sslpeer, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true

  desc <<-DESC
  Specifies the certificate filter used by the peer queue manager or client at the other end of the channel. The filter is used to compare with the distinguished name of the certificate. A distinguished name is the identifier of the TLS certificate. If the distinguished name in the certificate received from the peer does not match the SSLPEER filter, the channel does not start.
  Note
  An alternative way of restricting connections into channels by matching against the TLS Subject distinguished name, is to use channel authentication records. With channel authentication records, different TLS subject distinguished name patterns can be applied to the same channel. Both SSLPEER and a channel authentication record can be applied to the same channel. If so, the inbound certificate must match both patterns in order to connect. For more information, see Channel authentication records.
  SSLPEER is optional. If it is not specified, the distinguished name of the peer is not checked at channel startup. The distinguished name from the certificate is still written into the SSLPEER definition held in memory, and passed to the security exit. If SSLCIPH is blank, the data is ignored and no error message is issued.
  This parameter is valid for all channel types.
  The SSLPEER value is specified in the standard form used to specify a distinguished name. For example:
  SSLPEER('SERIALNUMBER=4C:D0:49:D5:02:5F:38,CN="H1_C_FR1",O=IBM,C=GB')
  You can use a semi-colon as a separator instead of a comma.
  DESC
  data_type('Optional[String[1]]')
end
