#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:trptype, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  desc <<-DESC
  Transport type to be used.
  On AIX, HP-UX, Linux, IBM i, Solaris, Windows[z/OS], and z/OS, this parameter is optional because, if you do not enter a value, the value specified in the SYSTEM.DEF. channel-type definition is used. If the channel is initiated from the other end, no check is made that the correct transport type is specified.
  [z/OS]On z/OS, if the SYSTEM.DEF. channel-type definition does not exist, the default is LU62.
  This parameter is required on all other platforms.
  LU62
  SNA LU 6.2
  NETBIOS
  NetBIOS (supported only on Windows, and DOS).
  [z/OS]This attribute also applies to z/OS for defining client-connection channels that connect to servers on the platforms supporting NetBIOS.
  SPX
  Sequenced packet exchange (supported only on Windows, and DOS).
  [z/OS]This attribute also applies to z/OS for defining client-connection channels that connect to servers on the platforms supporting SPX.
  TCP
  Transmission Control Protocol - part of the TCP/IP protocol suite

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  newvalues('LU62', 'NETBIOS', 'SPX', 'TCP')
  data_type("Optional[Enum['LU62', 'NETBIOS', 'SPX', 'TCP']]")
end
