#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:usedlq, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  desc <<-DESC
  Determines whether the dead-letter queue is used when messages cannot be delivered by channels.
  Valid values are:
  - NO Messages that cannot be delivered by a channel are treated as a failure. The channel either discards the message, or the channel ends, in accordance with the NPMSPEED setting.
  - YES When the DEADQ queue manager attribute provides the name of a dead-letter queue, then it is used, else the behavior is as for NO. YES is the default value.
  DESC

  newvalues('NO', 'YES')
  data_type("Optional[Enum['NO', 'YES']]")
end
