#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:userid, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  Task user identifier. The maximum length is 12 characters.
  This parameter is used by the message channel agent when attempting to initiate a secure LU 6.2 session with a remote message channel agent.
  On distributed platforms this parameter is valid only for channels with a channel type (CHLTYPE) of SDR, SVR, RQSTR, CLNTCONN, or CLUSSDR.
  [z/OS]On z/OS, it is supported only for CLNTCONN channels.
  Although the maximum length of the parameter is 12 characters, only the first 10 characters are used.
  On the receiving end, if passwords are encrypted and the LU 6.2 software is using a different encryption method, the channel fails to start. The error is diagnosed as invalid security details. You can avoid invalid security details by modifying the receiving SNA configuration to either:
  Turn off password substitution, or
  Define a security user ID and password.
  DESC
  data_type('Optional[String[1]]')
end
