#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:mcauser, :parent => PuppetX::EnterpriseModules::Mq::Property) do
  quote_values true # This property needs quoted values
  desc <<-DESC
  The user identifier to be used when the inbound connection matches the TLS DN, IP address, client asserted user ID or remote queue manager name supplied.
  This parameter is mandatory with USERSRC(MAP) and is valid when TYPE is SSLPEERMAP, ADDRESSMAP, USERMAP, or QMGRMAP.

  If you use lower case user IDs you must enclose them in quotation marks: For example:

    SET CHLAUTH('SYSTEM.DEF.SVRCONN') TYPE(USERMAP) CLNTUSER('johndoe') +
      USERSRC(MAP) MCAUSER(JOHNDOE1) +
      ADDRESS('::FFFF:9.20.4.136') +
      DESCR('Client from z/Linux machine') +
      ACTION(REPLACE)copy to clipboard

      This allows the lower case user ID to use channel SYSTEM.DEF.SVRCONN on IP address ::FFFF:9.20.4.136. The MCA user for the connection is JOHNDOE1.

  If you display the Channel Status (CHS) of the channel, the output is MCAUSER(JOHNDOE1).
  DESC
  data_type('Optional[String[1]]')
end
