#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DESC
    The full name of the channel. A channel's full name constists of the name of the
    Queue manager a slash, then the type of record you wish to create and then the name of the channel. Here is an example:

        QMGR1/BLOCKUSER/MY.FIRST.CHANNEL

  DESC
  data_type('Optional[String[1]]')
  isnamevar

  to_translate_to_resource do |raw_resource|
    qmgr    = raw_resource[:qmgr]
    type    = raw_resource[:type]
    channel = raw_resource[:name]
    address = raw_resource[:address]
    if type == 'ADDRESSMAP'
      "#{qmgr}/#{type}/#{channel}/#{address}"
    else
      "#{qmgr}/#{type}/#{channel}"
    end
  end
end
