#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:record_type, :parent => PuppetX::EnterpriseModules::Mq::Property) do
  isnamevar
  desc <<-DESC
  The TYPE parameter must follow the channel-profile-name parameter.
  The type of channel authentication record for which to set allowed partner details or mappings to MCAUSER. This parameter is required. The following values can be used:

  - BLOCKUSER - This channel authentication record prevents a specified user or users from connecting. The BLOCKUSER parameter must be accompanied by a USERLIST.
  - BLOCKADDR- This channel authentication record prevents connections from a specified IP address or addresses. The BLOCKADDR parameter must be accompanied by an ADDRLIST. BLOCKADDR operates at the listener before the channel name is known.
  - SSLPEERMAP - This channel authentication record maps TLS Distinguished Names (DNs) to MCAUSER values. The SSLPEERMAP parameter must be accompanied by an SSLPEER.
  - ADDRESSMAP - This channel authentication record maps IP addresses to MCAUSER values. The ADDRESSMAP parameter must be accompanied by an ADDRESS. ADDRESSMAP operates at the channel.
  - USERMAP - This channel authentication record maps asserted user IDs to MCAUSER values. The USERMAP parameter must be accompanied by a CLNTUSER.
  - QMGRMAP - This channel authentication record maps remote queue manager names to MCAUSER values. The QMGRMAP parameter must be accompanied by a QMNAME.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC

  newvalues(
    'BLOCKUSER',
    'BLOCKADDR',
    'SSLPEERMAP',
    'ADDRESSMAP',
    'USERMAP',
    'QMGRMAP'
  )
  data_type("Optional[Enum['BLOCKUSER',
  'BLOCKADDR',
  'SSLPEERMAP',
  'ADDRESSMAP',
  'USERMAP',
  'QMGRMAP']]")
end
