#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:userlist, :array_matching => :all, :parent => PuppetX::EnterpriseModules::Mq::Property) do
  include EasyType::ArrayProperty
  quote_values true # This property needs quoted values

  desc <<-DESC
  A list of up to 100 user IDs which are banned from use of this channel or set of channels.
  Use the special value *MQADMIN to mean privileged or administrative users. The definition
  of this value depends on the operating system, as follows:

  - [Windows]On Windows, all members of the mqm group, the Administrators group and SYSTEM.
  - [UNIX][Linux]On UNIX and Linux, all members of the mqm group.
  - [IBM i]On IBM i, the profiles (users) qmqm and qmqmadm and all members of the qmqmadm group, and any user defined with the *ALLOBJ special setting.
  - [z/OS]On z/OS, the user ID that the channel initiator, queue manager and advanced message security address spaces are running under.

  For more information about privileged users, see Privileged users.
  This parameter is only valid with TYPE(BLOCKUSER).
  DESC
  data_type('Optional[Variant[String,Array[String[1]]]]')
end
