#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:usersrc, :parent => PuppetX::EnterpriseModules::Mq::Property) do
  desc <<-DESC
  The source of the user ID to be used for MCAUSER at run time. The following values are valid:

  MAP - Inbound connections that match this mapping use the user ID specified in the MCAUSER attribute. This is the default value.
  NOACCESS - Inbound connections that match this mapping have no access to the queue manager and the channel ends immediately.
  CHANNEL - Inbound connections that match this mapping use the flowed user ID or any user defined on the channel object in the MCAUSER field.

  Note that WARN and USERSRC(CHANNEL), or USERSRC(MAP) are incompatible. This is because channel access is never blocked in these cases, so there is never a reason to generate a warning.
  DESC
  newvalues('MAP', 'NOACCESS', 'CHANNEL')
  data_type("Optional[Enum['MAP', 'NOACCESS', 'CHANNEL']]")
end
