#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:warn, :parent => PuppetX::EnterpriseModules::Mq::Property) do
  desc <<-DESC
  Indicates whether this record operates in warning mode.
  Valid values are:

  NO - This record does not operate in warning mode. Any inbound connection that matches this record is blocked. This is the default value.
  YES - This record operates in warning mode. Any inbound connection that matches this record and would therefore be blocked is allowed access. An error message is written and, if channel events are configured, a channel event message is created showing the details of what would have been blocked, see Channel Blocked. The connection is allowed to continue. An attempt is made to find another record that is set to WARN(NO) to set the credentials for the inbound channel.
  DESC
  newvalues('YES', 'NO')
  data_type("Optional[Enum['YES', 'NO']]")
end
