#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:control, :parent => PuppetX::EnterpriseModules::Mq::ListenerProperty) do
  desc <<-DESC
  Specifies how the listener is to be started and stopped.

  Valid values are:
  - MANUAL    The listener is not to be started automatically or stopped automatically. It is to be controlled by use of the START LISTENER and STOP LISTENER commands.
  - QMGR      The listener being defined is to be started and stopped at the same time as the queue manager is started and stopped.
  - STARTONLY The listener is to be started at the same time as the queue manager is started, but is not requested to stop when the queue manager is stopped.

  DESC
  newvalues('MANUAL', 'QMGR', 'STARTONLY')
  data_type("Optional[Enum['MANUAL', 'QMGR', 'STARTONLY']]")
end
