#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:trptype, :parent => PuppetX::EnterpriseModules::Mq::ListenerProperty) do
  desc <<-DESC
  The transmission protocol to be used.
  Valid values are:

  - LU62    SNA LU 6.2. This is valid only on Windows.
  - NETBIOS NetBIOS. This is valid only on Windows.
  - SPX     Sequenced packet exchange. This is valid only on Windows.
  - TCP     TCP/IP.
  DESC
  newvalues('LU62', 'NETBIOS', 'SPX', 'TCP')
  data_type("Optional[Enum['LU62', 'NETBIOS', 'SPX', 'TCP']]")
  on_create do
    # The create uses this value to construct the command
  end
end
