#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:acctint, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The time interval, in seconds, at which intermediate accounting records are written.
  Specify a value in the range 1 through 604800.
  Changes to this parameter are effective for connections to the queue manager that occur after the change.
  This parameter is valid only on IBM i, UNIX, Linux, and Windows systems.
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[1,604800]]]")
end
