#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:acctmqi, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether accounting information for MQI data is to be collected.

  valid values are:
  - OFF MQI accounting data collection is disabled. This is the queue manager's initial default value.
  - ON MQI accounting data collection is enabled.

  If queue manager attribute ACCTCONO is set to ENABLED, the value of this parameter can be overridden using the options field of the MQCNO structure.
  Changes to this parameter are effective for connections to the queue manager that occur after the change.

  This parameter is valid only on IBM i, UNIX, Linux, and Windows systems.
  DESC

  newvalues('ON', 'OFF')
  data_type("Optional[Enum['ON', 'OFF']]")
end
