#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:acctq, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether accounting data is to be collected for all queues.

  [z/OS]On z/OS, the data collected is class 3 accounting data (thread-level and queue-level accounting).
  Valid values are:
  - OFF Accounting data collection is disabled for all queues which specify QMGR as the value for their ACCTQ parameter.
  - ON Accounting data collection is enabled for all queues which specify QMGR as the value of their ACCTQ parameter. [z/OS]On z/OS systems, you must switch on class 3 accounting by the START TRACE command.
  - NONE Accounting data collection for all queues is disabled regardless of the value of the ACCTQ parameter of the queue.

  Changes to this parameter are effective only for connections to the queue manager occurring after the change to the parameter.
  DESC

  newvalues('OFF', 'ON', 'NONE')
  data_type("Optional[Enum['OFF', 'ON', 'NONE']]")
end
