#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:activrec, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether activity reports are generated if requested in the message.

  valid values are:
  - DISABLED Activity reports are not generated.
  - MSG Activity reports are generated and sent to the reply queue specified by the originator in the message causing the report. This is the queue manager's initial default value.
  - QUEUE Activity reports are generated and sent to SYSTEM.ADMIN.ACTIVITY.QUEUE

  See [Activity recording](https://www.ibm.com/support/knowledgecenter/en/SSFKSJ_9.0.0/com.ibm.mq.mon.doc/q036630_.htm?view=kc).
  DESC

  newvalues('DISABLED', 'MSG', 'QUEUE')
  data_type("Optional[Enum['DISABLED', 'MSG', 'QUEUE']]")
end
