#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:actvcono, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether applications can override the settings of the ACTVTRC queue manager parameter.

  Valid values are:
  - DISABLED Applications cannot override the settings of the ACTVTRC queue manager parameter. This is the queue manager's initial default value.
  - ENABLED Applications can override the settings of the ACTVTRC queue manager parameter by using the options field of the MQCNO structure of the MQCONNX API call. Changes to this parameter are effective for connections to the queue manager that occur after the change.

  This parameter is valid only on IBM i, UNIX, Linux, and Windows systems.
  DESC

  newvalues('DISABLED', 'ENABLED')
  data_type("Optional[Enum['DISABLED', 'ENABLED']]")
end
