#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:actvtrc, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether MQI application activity tracing information is to be collected. See Setting ACTVTRC to control collection of activity trace information.

  Valid values are:
  - OFF IBM MQ MQI application activity tracing information collection is not enabled. This is the queue manager's initial default value.
  - ON IBM MQ MQI application activity tracing information collection is enabled.

  If the queue manager attribute ACTVCONO is set to ENABLED, the value of this parameter can be overridden using the options field of the MQCNO structure.
  Changes to this parameter are effective for connections to the queue manager that occur after the change.
  This parameter is valid only on IBM i, UNIX, Linux, and Windows systems.
  DESC

  newvalues('OFF', 'ON')
  data_type("Optional[Enum['OFF', 'ON']]")
end
