#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:adoptmca, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  [z/OS] Specifies whether an orphaned instance of an MCA restarts immediately when a new inbound channel request matching the ADOPTCHK parameter is detected.

  Valid values are:
  - ALL Adopt all channel types. This is the queue manager's initial default value.
  - NO Adoption of orphaned channels is not required.

  This parameter is valid on z/OS only
  Changes to this parameter take effect the next time that a channel attempts to adopt an MCA.
  DESC

  newvalues('ALL', 'NO')
  data_type("Optional[Enum['ALL', 'NO']]")
end
