#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:ccsid, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The coded character set identifier for the queue manager. The CCSID is the identifier used with all character string fields defined by the API. If the CCSID in the message descriptor is set to the value MQCCSI_Q_MGR, the value applies to application data in the body of a message. The value is set when the message is put to a queue.
  Specify a value in the range 1 through 65535. The CCSID specifies a value that is defined for use on your platform, and use a character set that is appropriate to the platform.
  If you use this parameter to change the CCSID, applications that are running when the change is applied continue to use the original CCSID. Therefore, stop and restart all running applications before you continue including the command server and channel programs. To stop and restart all running applications, stop and restart the queue manager after changing the parameter value.
  [z/OS]This parameter is not valid on z/OS. To carry out the equivalent tasks on z/OS, use CSQ6SYSP to set your system parameters.
  See [Code page conversion](https://www.ibm.com/support/knowledgecenter/en/SSFKSJ_9.0.0/com.ibm.mq.ref.dev.doc/q104220_.htm?view=kc) for details of the supported CCSIDs for each platform.
  DESC
  data_type('Optional[Integer[0,65535]]')
end
