#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:certlabl, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  quote_values true # This property needs quoted values

  desc <<-DESC
  Certificate label for this queue manager to use. The label identifies which personal certificate in the key repository has been selected.
  The default and migrated queue manager values are:
  [z/OS]On z/OS: ibmWebSphereMQXXXX where XXXX is the queue manager name.
  On IBM i:
  If you specified SSLKEYR(*SYSTEM), the value is blank.
  Note that it is forbidden to use a nonblank queue manager CERTLABL with SSLKEYR(*SYSTEM). Attempting to do so results in an MQRCCF_Q_MGR_ATTR_CONFLICT error.
  Otherwise, ibmwebspheremqxxxx where xxxx is the queue manager name folded to lower case.
  On UNIX and Linux and Windows, ibmwebspheremqxxxx where xxxx is the queue manager name folded to lower case.
  You should specify the preceding values. However, leaving CERTLABL as a blank value on the queue manager is interpreted by the system to mean the default values specified.

  **Important**
  You must run a REFRESH SECURITY TYPE(SSL) command if you make any changes to CERTLABL on the queue manager. However, you do not need to run the REFRESH SECURITY TYPE(SSL) command if you make any changes to CERTLABL on a channel.
  DESC
  data_type('Optional[String[1]]')
end
