#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:certvpol, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies which TLS certificate validation policy is used to validate digital certificates received from remote partner systems. This attribute can be used to control how strictly the certificate chain validation conforms to industry security standards.

  Valid values:
  - ANY Apply each of the certificate validation policies supported by the secure sockets library and accept the certificate chain if any of the policies considers the certificate chain valid. This setting can be used for maximum backwards compatibility with older digital certificates which do not comply with the modern certificate standards.
  - RFC5280 Apply only the RFC 5280 compliant certificate validation policy. This setting provides stricter validation than the ANY setting, but rejects some older digital certificates.

  For more information about certificate validation policies, see Certificate validation policies in IBM MQ.
  This parameter is valid on only UNIX, Linux, and Windows. Changes to the parameter take effect only after a REFRESH SECURITY TYPE(SSL) command is issued.
  DESC

  newvalues('ANY', 'RFC5280')
  data_type("Optional[Enum['ANY', 'RFC5280']]")
end
