#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:chadexit, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  quote_values true
  desc <<-DESC
  Auto-definition exit name.
  If this name is nonblank, the exit is called when an inbound request for an undefined receiver, server-connection, or cluster-sender channel is received. It is also called when starting a cluster-receiver channel.
  The format and maximum length of the name depends on the environment:
  - On Windows, it is of the form dllname(functionname) where dllname is specified without the suffix .DLL. The maximum length is 128 characters.
  - On IBM i, it is of the form:progname libname where program name occupies the first 10 characters and libname the second 10 characters (both blank-padded to the right if necessary). The maximum length of the string is 20 characters.
  - On UNIX, and Linux, it is of the form libraryname(functionname). The maximum length is 128 characters.

  [z/OS]On z/OS, it is a load module name, the maximum length is eight characters.
  [z/OS]On z/OS, this parameter applies only to cluster-sender and cluster-receiver channels.
  DESC
  data_type('Optional[String[1]]')
end
