#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:chlauth, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether the rules defined by channel authentication records are used. CHLAUTH rules can still be set and displayed regardless of the value of this attribute.
  Changes to this parameter take effect the next time that an inbound channel attempts to start.
  Channels that are currently started are unaffected by changes to this parameter.
  Valid values are:
  - DISABLED Channel authentication records are not checked.
  - ENABLED Channel authentication records are checked.
  DESC

  newvalues('DISABLED', 'ENABLED')
  data_type("Optional[Enum['DISABLED', 'ENABLED']]")
end
