#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:clwlexit, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  quote_values true
  desc <<-DESC
  Cluster workload exit name.
  If this name is nonblank, the exit is called when a message is put to a cluster queue. The format and maximum length of the name depends on the environment:
  - On UNIX and Linux systems, it is of the form libraryname(functionname). The maximum length is 128 characters.
  - On Windows, it is of the form dllname(functionname), where dllname is specified without the suffix .DLL. The maximum length is 128 characters.
  - [z/OS]On z/OS, it is a load module name. The maximum length is eight characters.

  On IBM i, it is of the form: progname libname

  where program name occupies the first 10 characters and libname the second 10 characters (both blank-padded to the right if necessary). The maximum length is 20 characters.
  This parameter is valid only on IBM i, z/OS, UNIX, Linux, and Windows.
  DESC
  data_type('Optional[String[1]]')
end
