#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:clwluseq, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  The attribute applies to queues with the queue attribute CLWLUSEQ set to QMGR. It specifies the behavior of an MQPUT operation when the target queue has a local instance and at least one remote cluster instance. It does not apply if the MQPUT originates from a cluster channel.
  Specify either:
  - LOCAL The local queue is the only target for MQPUT operations. This is the queue manager's initial default value.
  - ANY The queue manager treats the local queue as another instance of the cluster queue for the purposes of workload distribution.

  See [CLWLUSEQ queue manager attribute](https://www.ibm.com/support/knowledgecenter/en/SSFKSJ_9.0.0/com.ibm.mq.ref.con.doc/q082430_.htm?view=kc).
  DESC

  newvalues('LOCAL', 'ANY')
  data_type("Optional[Enum['LOCAL', 'ANY']]")
end
