#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:datapath) do
  include EasyType
  desc <<-DESC
    The directory used to hold the data files for a queue manager.
    In IBM MQ for Windows systems, the default is C:\\ProgramData\\IBM\\MQ\\qmgrs (assuming that C: is your data drive). If the volume supports file security, the SYSTEM ID, Administrators, and mqm group must be granted read/write access to the directory.

    In IBM MQ for UNIX and Linux systems, the default is /var/mqm/qmgrs. User ID mqm and group mqm must have full authorities to the log files.

    The DataPath parameter is provided to assist in the configuration of multi-instance queue managers. For example, on UNIX and Linux systems: if the /var/mqm directory is located on a local file system, use the DataPath parameter and the LogPath parameter to point to the shared file systems accessible to multiple queue managers.

    Note:
    A queue manager created using DataPath parameter runs on versions of IBM MQ earlier than Version 7.0.1, but the queue manager must be reconfigured to remove the DataPath parameter. You have two options to restore the queue manager to a pre-Version 7.0.1 configuration and run without the DataPath parameter: If you are confident about editing queue manager configurations, you can manually configure the queue manager using the Prefix queue manager configuration parameter. Alternatively, complete the following steps to edit the queue manager:

    1 Stop the queue manager.
    2 Save the queue manager data and log directories.
    3 Delete the queue manager.
    4 Backout IBM MQ to the pre-v7.0.1 fix level.
    5 Create the queue manager with the same name.
    6 Replace the new queue manager data and log directories with the ones you saved.

    This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  data_type('Optional[String[1]]')
end
