#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:expryint, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  [z/OS] Specifies how often queues are scanned to discard expired messages.
  Valid values are:
  - OFF Queues are not scanned. No internal expiry processing is performed.
  - integer The approximate interval in seconds at which queues are scanned. Each time that the expiry interval is reached, the queue manager looks for candidate queues that are worth scanning to discard expired messages. The queue manager maintains information about the expired messages on each queue, and therefore whether a scan for expired messages is worthwhile. So, only a selection of queues is scanned at any time. The value must be in the range 1 through 99999999. The minimum scan interval used is 5 seconds, even if you specify a lower value.

  You must set the same EXPRYINT value for all queue managers within a queue-sharing group that support this attribute. Shared queues are scanned by only one queue manager in a queue-sharing group. This queue manager is either the first queue manager to restart, or the first queue manager for which EXPRYINT is set.
  Changes to EXPRYINT take effect when the current interval expires. Changes also take effect if the new interval is less than the unexpired portion of the current interval. In this case, a scan is scheduled and the new interval value takes immediate effect.
  This parameter is valid only on z/OS.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
