#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:groupur, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  [z/OS] This parameter controls whether CICS and XA client applications can establish transactions with a GROUP unit of recovery disposition.
  This parameter is valid only on z/OS. The property can be enabled only when the queue manager is a member of a queue-sharing group.
  Valid values are:
  - ENABLED CICS and XA client applications can establish transactions with a group unit of recovery disposition by specifying a queue-sharing group name when they connect.
  - DISABLED CICS and XA client applications must connect using a queue manager name.
  DESC

  newvalues('ENABLED', 'DISABLED')
  data_type("Optional[Enum['ENABLED', 'DISABLED']]")
end
