#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:igq, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  [z/OS] Specifies whether intra-group queuing is used.
  This parameter is valid only on z/OS when the queue manager is a member of a queue-sharing group.
  Valid values are:
  - ENABLED Message transfer between queue managers within a queue-sharing group uses the shared transmission queue, SYSTEM.QSG.TRANSMIT.QUEUE.
  - DISABLED Message transfer between queue managers within a queue-sharing group uses non-shared transmission queues and channels. Queue managers that are not part of a queue-sharing group also use this mechanism.

  If intra-group queuing is enabled, but the intra-group queuing agent is stopped, issue ALTER QMGR IGQ (ENABLED) to restart it.
  DESC
  data_type('Optional[String[1]]')
end
