#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:igqaut, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  [z/OS] Specifies the type of authority checking and, therefore, the user IDs, to be used by the IGQ agent (IGQA). This parameter establishes the authority to put messages to a destination queue.
  This parameter is valid only on z/OS when the queue manager is a member of a queue-sharing group.
  Valid values are:
  - DEF Indicates that the default user ID is used to establish authority to put messages to a destination queue. For a one user ID check, the default user ID is the user ID of a queue manager within the queue-sharing group. The default user ID is the user ID of the queue manager that put the messages to the SYSTEM.QSG.TRANSMIT.QUEUE. This user ID is referred to as the QSGSEND user ID. For two user ID checks, the default second user ID is the IGQ user ID.
  - CTX Indicates that the user ID from a UserIdentifier field is used to establish authority to put messages to a destination queue. The user ID is the UserIdentifier field in the message descriptor of a message on the SYSTEM.QSG.TRANSMIT.QUEUE. For one user ID check, the QSGSEND user ID is used. For two user ID checks, the QSGSEND user ID, the IGQ user ID and the alternate user ID are used. The alternate user ID is taken from the UserIdentifier field in the message descriptor of a message on the SYSTEM.QSG.TRANSMIT.QUEUE. The alternate user ID is referred to as ALT.
  - ONLYIGQ Indicates that only the IGQ user ID is used to establish authority to put messages to a destination queue. For all ID checks, the IGQ user ID is used.
  - ALTIGQ Indicates that the IGQ user ID and the ALT user ID are used to establish authority to put messages to a destination queue. For one user ID check, the IGQ user ID is used. For two user ID checks, the IGQ user ID and the ALT user ID are used.
  DESC

  newvalues('DEF', 'CTX', 'ONLYIGQ', 'ALTIGQ')
  data_type("Optional[Enum['DEF', 'CTX', 'ONLYIGQ', 'ALTIGQ']]")
end
