#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:igquser, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  [z/OS] Nominates a user ID to be used by the IGQ agent (IGQA) to establish authority to put messages to a destination queue. The user ID is referred to as the IGQ user ID.
  This parameter is valid only on z/OS when the queue manager is a member of a queue-sharing group. Possible values are:
  - Blanks Indicates that the user ID of the receiving queue manager within the queue-sharing group is used.
  - Specific user ID Indicates that the user ID specified in the IGQUSER parameter of the receiving queue manager is used.

  **Note**
  As the receiving queue manager has authority to all queues it can access, security checking might not be performed for this user ID type.
  As the value of blanks has a special meaning, you cannot use IGQUSER to specify a real user ID of blanks.
  DESC
  data_type('Optional[String[1]]')
end
