#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:imgsched, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Whether the queue-manager automatically writes media images.
  This parameter is not valid on z/OS. Possible values are:
  - AUTO The queue-manager attempts to automatically write a media image for an object, before IMGINTVL minutes have elapsed, or IMGLOGLN megabytes of recovery log have been written, since the previous media image for the object was taken. The previous media image might have been taken manually or automatically, depending on the settings of IMGINTVL or IMGLOGLN.
  - MANUAL Automatic media images are not written. MANUAL is the default value.
  DESC

  newvalues('AUTO', 'MANUAL')
  data_type("Optional[Enum['AUTO', 'MANUAL']]")
end
