#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:ipaddrv, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies which IP protocol is to be used for channel connections.
  valid values are:
  - IPV4 The IPv4 IP address is to be used. This is the queue manager's initial default value.
  - IPV6 The IPv6 IP address is to be used.

  This parameter is used only in systems running IPv4 and IPv6. It applies to channels defined only with a TRPTYPE of TCP when either of the following two conditions is true:
  The CONNAME parameter of the channel contains a host name that resolves to both an IPv4 and an IPv6 address, and the LOCLADDR parameter is not specified.
  The value of the CONNAME and LOCLADDR parameters of the channel is a host name that resolves to both an IPv4 and IPv6 address.
  DESC

  newvalues('IPV4', 'IPV6')
  data_type("Optional[Enum['IPV4', 'IPV6']]")
end
