#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:logfile_pages) do
  include EasyType
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The log data is held in a series of files called log files. The log
  file size is specified in units of 4 KB pages. In IBM MQ for UNIX and
  Linux systems, the default number of log file pages is 4096, giving a
  log file size of 16 MB. The minimum number of log file pages is 64
  and the maximum is 65535.

  In IBM MQ for Windows systems, the default number of log file pages is
  4096, giving a log file size of 16 MB. The minimum number of log file
  pages is 32 and the maximum is 65535.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer[0,65535]]]")
end
