#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:logging) do
  include EasyType
  desc <<-DESC
  Specfies the type of logging used.

  - circular          Use circular logging. This is the default
  - linear            Use linear logging.
  - linear_automatic  Use linear logging with automatic management of log extents (LogManagement=Automatic).
  - linear_archiving  Use linear logging with archive management of log extents (LogManagement=Archive).

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  newvalues(:circular, :linear, :linear_automatic, :linear_archiving)
end
