#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:logpath) do
  include EasyType
  desc <<-DESC
    The directory used to store log files. The default directory to store log paths is defined when you install IBM MQ.
    If the volume containing the log file directory supports file security, the log file directory must have access permissions. The permissions allow the user IDs, under whose authority the queue manager runs, read and write access to the directory and its subdirectories. When you install IBM MQ, you grant permissions to the user IDs and to the mqm group on the default log directory. If you set the LogPath parameter to write the log file to a different directory, you must grant the user IDs permission to read and write to the directory. The user ID and permissions for UNIX and Linux are different from those for the Windows system:
    **UNIX and Linux**
    The directory and its subdirectories must be owned by the user mqm in the group mqm.
    If the log file is shared between different instances of the queue manager, the security identifiers (sid) that are used must be the same for the different instances. You must have set the user mqm to the same sid on the different servers running instances of the queue manager. Likewise for the group mqm.

    **Windows**
    If the directory is accessed by only one instance of the queue manager, you must give read and write access permission to the directory for the following groups and users:
    The local group mqm
    The local group Administrators
    The SYSTEM user ID
    To give different instances of a queue manager access to the shared log directory, the queue manager must access the log directory using a global user. Give the global group, which contains the global user, read and write access permission to the log directory. The global group is the additional security access group specified in the -a parameter.

    In IBM MQ for Windows systems, the default directory is C:\\ProgramData\\IBM\\MQ\\log (assuming that C is your data drive). If the volume supports file security, the SYSTEM ID, Administrators, and mqm group must be granted read/write access to the directory.

    In IBM MQ for UNIX and Linux systems, the default directory is /var/mqm/log. User ID mqm and group mqm must have full authorities to the log files.

    If you change the locations of these files, you must give these authorities yourself. If these authorities are set automatically, then the log files are in their default locations.

    This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  data_type('Optional[String[1]]')
end
