#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:lu62chl, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  [z/OS] The maximum number of channels that can be current, or clients that can be connected, that use the LU 6.2 transmission protocol.
  Specify a value 0- 9999 that is not greater than the value of MAXCHL. MAXCHL defines the maximum number of channels available. If you specify zero, the LU 6.2 transmission protocol is not used.
  If you change this value, also review the MAXCHL, LU62CHL, and ACTCHL values. Ensure that there is no conflict of values and if necessary, raise the value of MAXCHL and ACTCHL.
  If the value of this parameter is reduced, any current channels that exceed the new limit continue to run until they stop.
  If the value of LU62CHL is non-zero when the channel initiator starts up, the value can be modified dynamically. If the value of LU62CHL is zero when the channel initiator starts up, a later ALTER command does not take effect. In this case, you should carry out an ALTER command, either before the channel initiator starts, or in CSQINP2 before you issue the START CHINIT command.
  This parameter is valid on z/OS only.
  DESC
  data_type('Optional[Integer[0,9999]]')
end
