#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:markint, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The time interval, expressed in milliseconds, for which messages marked as browsed by a call to MQGET, with the get message option MQGMO_MARK_BROWSE_CO_OP, are expected to remain mark-browsed.
  If messages are marked for more than approximately MARKINT milliseconds, the queue manager might automatically unmark messages. It might unmark messages that are marked as browsed for the cooperating set of handles.
  This parameter does not affect the state of any message marked as browse by a call to MQGET with the get message option MQGMO_MARK_BROWSE_HANDLE.
  Specify a value in the range 0 - 999,999,999.
  The special value NOLIMIT indicates that the queue manager does not automatically unmark messages by this process.
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,999999999]]]")
end
