#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:maxmsgl, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The maximum length of messages allowed on queues for this queue manager.
  This value is in the range 32 KB through 100 MB.
  Ensure that you also consider the length of any message properties when deciding the value for the MAXMSGL parameter of a channel.
  If you reduce the maximum message length for the queue manager, you must also reduce the maximum message length of the SYSTEM.DEFAULT.LOCAL.QUEUE definition. You must also reduce the maximum message length for all other queues defined on the queue manager. This change ensures that the limit of the queue manager is not less than the limit of any of the queues associated with it. If you do not change these lengths, and applications inquire only the MAXMSGL value of the queue, they might not work correctly.
  Note that by adding the digital signature and key to the message, [Advanced Message Security](https://www.ibm.com/support/knowledgecenter/en/SSFKSJ_9.0.0/com.ibm.mq.sec.doc/q014580_.htm?view=kc) increases the length of the message.
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[32768,104857600]]]")
end
