#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:maxpropl, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The maximum length of property data in bytes that can be associated with a message.
  This value is in the range 0 through 100 MB (104 857 600 bytes).
  The special value NOLIMIT indicates that the size of the properties is not restricted, except by the upper limit.
  DESC

  data_type("Optional[Variant[Enum['absent','NOLIMIT'],Integer[0,104857600]]]")
end
