#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:maxumsgs, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The maximum number of uncommitted messages within a sync point.
  MAXUMSGS is a limit on the number of messages that can be retrieved, plus the number of messages that can be put, within any single sync point. The limit does not apply to messages that are put or retrieved outside sync point.
  The number includes any trigger messages and report messages generated within the same unit of recovery.
  If existing applications and queue manager processes are putting and getting a larger number of messages in sync point, reducing MAXUMSGS might cause problems.
  [z/OS] An example of queue manager processes that might be affected is clustering on z/OS.
  Specify a value in the range 1 through 999,999,999. The default value is 10000.
  MAXUMSGS has no effect on MQ Telemetry. MQ Telemetry tries to batch requests to subscribe, unsubscribe, send, and receive messages from multiple clients into batches of work within a transaction.
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[1,999999999]]]")
end
