#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:monacls, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Controls the collection of online monitoring data for auto-defined cluster-sender channels.
  Valid values are:
  - QMGR Collection of online monitoring data is inherited from the setting of the MONCHL parameter of the queue manager. This is the queue manager's initial default value.
  - OFF Monitoring for the channel is switched off.
  - LOW Unless MONCHL is NONE, monitoring is switched on with a low rate of data collection with a minimal effect on system performance. The data collected is not likely to be the most current.
  - MEDIUM Unless MONCHL is NONE, monitoring is switched on with a moderate rate of data collection with limited effect on system performance.
  - HIGH Unless MONCHL is NONE, monitoring is switched on with a high rate of data collection with a likely effect on system performance. The data collected is the most current available.

  A change to this parameter takes effect only on channels started after the change occurs. Any channel started before the change to the parameter continues with the value in force at the time that the channel started.
  DESC

  newvalues('QMGR', 'OFF', 'LOW', 'MEDIUM', 'HIGH')
  data_type("Optional[Enum['QMGR', 'OFF', 'LOW', 'MEDIUM', 'HIGH']]")
end
