#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:monchl, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Controls the collection of online monitoring data for channels. The channels defined with MONCHL(QMGR) are affected by changing the QMGR MONCHL attribute.
  Valid values:
  - OFF Online monitoring data collection is turned off for channels specifying a value of QMGR in their MONCHL parameter. This is the queue manager's initial default value.
  - NONE Online monitoring data collection is turned off for channels regardless of the setting of their MONCHL parameter.
  - LOW Online monitoring data collection is turned on, with a low ratio of data collection, for channels specifying a value of QMGR in their MONCHL parameter.
  - MEDIUM Online monitoring data collection is turned on, with a moderate ratio of data collection, for channels specifying a value of QMGR in their MONCHL parameter.
  - HIGH Online monitoring data collection is turned on, with a high ratio of data collection, for channels specifying a value of QMGR in their MONCHL parameter.

  A change to this parameter takes effect only on channels started after the change occurs. Any channel started before the change to the parameter continues with the value in force at the time that the channel started.
  DESC

  newvalues('QMGR', 'OFF', 'LOW', 'MEDIUM', 'HIGH')
  data_type("Optional[Enum['QMGR', 'OFF', 'LOW', 'MEDIUM', 'HIGH']]")
end
