#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:monq, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Controls the collection of online monitoring data for queues. Valid values are:
  - OFF Online monitoring data collection is turned off for queues specifying a value of QMGR in their MONQ parameter. This is the queue manager's initial default value.
  - NONE Online monitoring data collection is turned off for queues regardless of the setting of their MONQ parameter.
  - LOW Online monitoring data collection is turned on for queues specifying a value of QMGR in their MONQ parameter.
  - MEDIUM Online monitoring data collection is turned on for queues specifying a value of QMGR in their MONQ parameter.
  - HIGH Online monitoring data collection is turned on for queues specifying a value of QMGR in their MONQ parameter.

  In contrast to MONCHL, there is no distinction between the values LOW, MEDIUM, and HIGH. These values all turn data collection on, but do not affect the rate of collection.
  Changes to this parameter are effective only for queues opened after the parameter is changed.
  DESC

  newvalues('QMGR', 'OFF', 'LOW', 'MEDIUM', 'HIGH')
  data_type("Optional[Enum['QMGR', 'OFF', 'LOW', 'MEDIUM', 'HIGH']]")
end
