#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:multi_instance) do
  include EasyType
  desc <<-DESC
    Start an instance of a multi-instance queue manager on the local server, permitting it to be highly available.
    If an instance of the queue manager is not already running elsewhere, the queue manager starts and the instance
    becomes active. The active instance is ready to accept local and remote connections to the queue manager on the
    local server.

    If a multi-instance queue manager instance is already active on a different server the new instance becomes a
    standby, permitting it to takeover from the active queue manager instance. While it is in standby, it cannot
    accept local or remote connections.

    You must not start a second instance of a queue manager on the same server.

    The default behavior is to start the instance as a single instance queue manager, forbidding standby instances
    from being started.

    This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  data_type('Optional[Boolean]')
end
