#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:parent, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  quote_values true
  desc <<-DESC
  The name of the parent queue manager to which the local queue manager is to connect as its child in a hierarchy.
  A blank value indicates that the queue manager has no parent queue manager.
  If there is an existing parent queue manager it is disconnected.
  IBM MQ hierarchical connections require that the queue manager attribute PSMODE is set to ENABLED.
  The value of PARENT can be set to a blank value if PSMODE is set to DISABLED.
  Before a queue manager can connect to a queue manager as its child in a hierarchy, channels must exist in both directions. The channels must exist between the parent queue manager and the child queue manager.
  If a parent is already defined, the ALTER QMGR PARENT command disconnects from the original parent and sends a connection flow to the new parent queue manager.
  Successful completion of the command does not mean that the action completed. To check that this command has completed, see the ALTER QMGR step in Checking that async commands for distributed networks have finished.
  DESC
  data_type('Optional[String[1]]')
end
