#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:psclus, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Controls whether this queue manager participates in publish subscribe activity across any clusters in which it is a member. No clustered topic objects can exist in any cluster when modifying from ENABLED to DISABLED.
  For more information about PSCLUS, see Inhibiting clustered publish/subscribe.
  Note
  To change a PSCLUS parameter status, the CHIN address space needs to be running. Valid values are:
  - ENABLED This queue manager can define clustered topic objects, publish to subscribers on other queue managers, and register subscriptions that receive publications from other queue managers. All queue managers in the cluster running a version of IBM MQ that supports this option must specify PSCLUS(ENABLED) for the publish/subscribe activity to function as expected. ENABLED is the default value when a queue manager is created.
  - DISABLED This queue manager cannot define clustered topic objects and ignores their definition on any other queue manager in the cluster. Publications are not forwarded to subscribers elsewhere in the cluster, and subscriptions are not registered other than on the local queue manager. To ensure that no publish/subscribe activity occurs in the cluster, all queue managers must specify PSCLUS(DISABLED). As a minimum, full repositories must be consistent in enabling or disabling publish/subscribe participation.

  DESC

  newvalues('ENABLED', 'DISABLED')
  data_type("Optional[Enum['ENABLED', 'DISABLED']]")
end
