#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:psnpmsg, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  f the queued publish/subscribe interface cannot process a non-persistent input message it might attempt to write the input message to the dead-letter queue. Whether it attempts to do so depends on the report options of the input message. The attempt to write the input message to the dead-letter queue might fail. In this case, the queued publish/subscribe interface might discard the input message. If MQRO_DISCARD_MSG is specified on the input message, the input message is discarded. If MQRO_DISCARD_MSG is not set, setting PSNPMSG to KEEP prevents the input message from being discarded. The default is to discard the input message.
  Note
  If you specify a value of IFPER for PSSYNCPT, you must not specify a value of KEEP for PSNPMSG.

  Valiud values are:
  - DISCARD Non-persistent input messages might be discarded if they cannot be processed.
  - KEEP Non-persistent input messages are not discarded if they cannot be processed. In this situation, the queued publish/subscribe interface continues to try to process this message again at appropriate intervals and does not continue processing subsequent messages.

  DESC

  newvalues('DISCARD', 'KEEP')
  data_type("Optional[Enum['DISCARD', 'KEEP']]")
end
