#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:psnpres, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  The PSNPRES attribute controls whether the queued publish/subscribe interface writes an undeliverable reply message to the dead-letter queue, or discards the message. The choice is necessary if the queued publish/subscribe interface cannot deliver a reply message to the reply-to queue.
  For new queue managers, the initial value is NORMAL. If you specify a value of IFPER for PSSYNCPT, you must not specify a value of KEEP or SAFE for PSNPRES.
  For migrated queue managers on IBM i, UNIX, Linux, and Windows systems, the value depends on DLQNonPersistentResponse and DiscardNonPersistentResponse. Valid values are:
  - NORMAL Non-persistent responses which cannot be placed on the reply queue are put on the dead-letter queue. If they cannot be placed on the dead-letter queue then they are discarded.
  - SAFE Non-persistent responses which cannot be placed on the reply queue are put on the dead-letter queue. If the response cannot be sent and cannot be placed on the dead-letter queue, the queued publish/subscribe interface backs out of the current operation. It tries again at appropriate intervals, and does not continue processing subsequent messages.
  - DISCARD Non-persistent responses which cannot be placed on the reply queue are discarded
  - KEEP Non-persistent responses are not placed on the dead-letter queue or discarded. Instead the queued publish/subscribe interface backs out the current operation and then tries it again at appropriate intervals and does not continue processing subsequent messages.
  DESC

  newvalues('NORMAL', 'SAFE', 'DISCARD', 'KEEP')
  data_type("Optional[Enum['NORMAL', 'SAFE', 'DISCARD', 'KEEP']]")
end
