#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:psrtycnt, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  If the queued publish/subscribe interface fails to process a command message under sync point, the unit of work is backed out. The command tries to process the message a number of times again, before the publish/subscribe broker processes the command message according to its report options instead. This situation can arise for a number of reasons. For example, if a publish message cannot be delivered to a subscriber, and it is not possible to put the publication on the dead letter queue.
  The initial value for this parameter on a new queue manager is 5.
  Range is 0 - 999,999,999.
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,999999999]]]")
end
