#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:repos, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  quote_values true
  desc <<-DESC
  The name of a cluster for which this queue manager provides a repository manager service. The maximum length is 48 characters conforming to the rules for naming IBM MQ objects.
  No more than one of the resultant values of REPOS and REPOSNL can be nonblank.
  If you use the REPOS parameter to create a full repository queue manager, connect it to at least one other full repository queue manager in the cluster. Connect it using a cluster-sender channel. See the information in Components of a cluster for details about using cluster-sender channels with full repository queue managers.
  This parameter is valid on IBM i, [z/OS]z/OS, UNIX, Linux, and Windows.

  Successful completion of the command does not mean that the action completed. To check for true completion, see the ALTER QMGR step in [Checking that async commands for distributed networks have finished](https://www.ibm.com/support/knowledgecenter/en/SSFKSJ_9.0.0/com.ibm.mq.adm.doc/q021225_.htm?view=kc#q021225).
  DESC
  data_type('Optional[String[1]]')
end
