#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:reposnl, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  quote_values true
  desc <<-DESC
  The name of a namelist of clusters for which this queue manager provides a repository manager service.
  No more than one of the resultant values of REPOS and REPOSNL can be nonblank.
  Both REPOS and REPOSNL might be blank, or REPOS might be blank and the namelist specified by REPOSNL is empty. In these cases, this queue manager does not have a full repository. It might be a client of other repository services that are defined in the cluster.
  If you use the REPOSNL parameter to create a full repository queue manager, connect it to other full repository queue managers. Connect it to at least one other full repository queue manager in each cluster specified in the namelist using cluster-sender channels. See the information in Components of a cluster for details about using cluster-sender channels with full repository queue managers.
  This parameter is valid on IBM i, [z/OS]z/OS, UNIX, Linux, and Windows.

  Successful completion of the command does not mean that the action completed. To check for true completion, see the ALTER QMGR step in [Checking that async commands for distributed networks have finished](https://www.ibm.com/support/knowledgecenter/en/SSFKSJ_9.0.0/com.ibm.mq.adm.doc/q021225_.htm?view=kc#q021225).
  DESC
  data_type('Optional[String[1]]')
end
