#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:revdns, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Controls whether reverse lookup of the hostname from a Domain Name Server (DNS) is done for the IP address from which a channel has connected. This attribute has an effect only on channels using a transport type (TRPTYPE) of TCP:
  - ENABLED DNS host names are reverse looked-up for the IP addresses of inbound channels when this information is required. This setting is required for matching against CHLAUTH rules that contain host names, and to include the host name in error messages. The IP address is still included in messages that provide a connection identifier. This is the initial default value for the queue manager.
  - DISABLED DNS host names are not reverse looked-up for the IP addresses of inbound channels. With this setting any CHLAUTH rules using host names are not matched.
  DESC

  newvalues('ENABLED', 'DISABLED')
  data_type("Optional[Enum['ENABLED', 'DISABLED']]")
end
