#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:routerec, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether trace-route information is recorded if requested in the message. If this parameter is not set to DISABLED, it controls whether any reply generated is sent to SYSTEM.ADMIN.TRACE.ROUTE.QUEUE, or to the destination specified by the message itself. If ROUTEREC is not DISABLED, messages not yet at the final destination might have information added to them.
  Valid values are:
  - DISABLED Trace-route information is not recorded.
  - MSG Trace-route information is recorded and sent to the destination specified by the originator of the message causing the trace route record. This is the queue manager's initial default value.
  - QUEUE Trace-route information is recorded and sent to SYSTEM.ADMIN.TRACE.ROUTE.QUEUE.
  DESC

  newvalues('DISABLED', 'MSG', 'QUEUE')
  data_type("Optional[Enum['DISABLED', 'MSG', 'QUEUE']]")
end
