#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:scycase, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  [z/OS] Specifies whether the security profiles are uppercase or mixed case. Valid values are:
  - UPPER The security profiles are uppercase only. However, MXTOPIC and GMXTOPIC are used for topic security, and can contain mixed-case profiles.
  - MIXED The security profiles are mixed case. MQCMDS and MQCONN are used for command and connection security but they can contain only uppercase profiles.

  Changes to SCYCASE become effective after you run the following command:
  REFFRESH SECURITY(*) TYPE(CLASSES)
  This parameter is valid only on z/OS
  DESC

  newvalues('UPPER', 'MIXED')
  data_type("Optional[Enum['UPPER', 'MIXED']]")
end
