#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:sqqmname, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  [z/OS] The SQQMNAME attribute specifies whether a queue manager in a queue-sharing group opens a shared queue in the same group directly. The processing queue manager calls MQOPEN for a shared queue and sets the ObjectQmgrName parameter for the queue. If the shared queue is in the same queue-sharing group as the processing queue manager, the queue can be opened directly by the processing queue manager. Set the SQQMNAME attribute to control if the queue is opened directly, or by the ObjectQmgrName queue manager. The attribute will also be honored when opening a QALIAS with copy disposition, if the target queue is a shared queue in the same queue-sharing group as the processing queue-manager. In this situation it is important that the QALIAS copy object on each queue-manager in the queue-sharing group has the same target queue.
  Valid values are:
  - USE The ObjectQmgrName is used, and the appropriate transmission queue is opened.
  - IGNORE The processing queue manager opens the shared queue directly. Setting the parameter to this value can reduce the traffic in your queue manager network.

  This parameter is valid only on z/OS.
  DESC

  newvalues('USE', 'IGNORE')
  data_type("Optional[Enum['USE', 'IGNORE']]")
end
