#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:sslcrlnl, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  quote_values true
  desc <<-DESC
  The name of a namelist of authentication information objects which are used to provide certificate revocation locations to allow enhanced TLS certificate checking.
  If SSLCRLNL is blank, certificate revocation checking is not invoked unless one of the TLS certificates used contains an AuthorityInfoAccess or CrlDistributionPoint X.509 certificate extension.
  Changes to SSLCRLNL, or to the names in a previously specified namelist, or to previously referenced authentication information objects become effective either:
  On IBM i, UNIX, Linux, and Windows systems when a new channel process is started.
  - For channels that run as threads of the channel initiator on IBM i, UNIX, Linux, and Windows systems, when the channel initiator is restarted.
  - For channels that run as threads of the listener on IBM i, UNIX, Linux, and Windows systems, when the listener is restarted.
  - [z/OS]On z/OS, when the channel initiator is restarted.
  - When a REFRESH SECURITY TYPE(SSL) command is issued.
  - On IBM i queue managers, this parameter is ignored. However, it is used to determine which authentication information objects are written to the AMQCLCHL.TAB file.

  Only authentication information objects with types of LDAPCRL or OCSP are allowed in the namelist referred to by SSLCRLNL. Any other type results in an error message when the list is processed and is subsequently ignored.
  DESC
  data_type('Optional[String[1]]')
end
