#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:sslcryp, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Sets the name of the parameter string required to configure the cryptographic hardware present on the system.
  All supported cryptographic hardware supports the PKCS #11 interface. Specify a string of the following format:
  GSK_PKCS11= <the PKCS #11 driver path and file name>
  ; <the PKCS #11 token label> ;
  <the PKCS #11 token password> ; <symmetric cipher setting>
  ;
  The PKCS #11 driver path is an absolute path to the shared library providing support for the PKCS #11 card. The PKCS #11 driver file name is the name of the shared library. An example of the value required for the PKCS #11 driver path and file name is /usr/lib/pkcs11/PKCS11_API.so
  To access symmetric cipher operations through GSKit, specify the symmetric cipher setting parameter. The value of this parameter is either:
  SYMMETRIC_CIPHER_OFF
  Do not access symmetric cipher operations.
  SYMMETRIC_CIPHER_ON
  Access symmetric cipher operations.
  If the symmetric cipher setting parameter is not specified, it has the same effect as specifying SYMMETRIC_CIPHER_OF F.
  The maximum length of the string is 256 characters.
  If you specify a string that is not in the format listed, you get an error.
  When the SSLCRYP value is changed, the cryptographic hardware parameters specified become the ones used for new TLS connection environments. The new information becomes effective:
  When a new channel process is started.
  For channels that run as threads of the channel initiator, when the channel initiator is restarted.
  For channels that run as threads of the listener, when the listener is restarted.
  When a REFRESH SECURITY TYPE(SSL) command is issued.
  DESC
  data_type('Optional[String[1]]')
end
