#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:sslfips, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  This parameter is valid only on [z/OS]z/OS, UNIX, Linux, and Windows systems.
  SSLFIPS specifies whether only FIPS-certified algorithms are to be used if cryptography is carried out in IBM MQ, rather than in cryptographic hardware. If cryptographic hardware is configured, the cryptographic modules used are those modules provided by the hardware product. These might, or might not, be FIPS-certified to a particular level. Whether the modules are FIPS-certified depends on the hardware product in use. For more information about FIPS, see the Federal Information Processing Standards (FIPS) manual. Valid values are:
  - NO If you set SSLFIPS to NO, you can use either FIPS certified or non-FIPS certified CipherSpecs. If the queue manager runs without using cryptographic hardware, refer to the CipherSpecs listed in Specifying CipherSpecs. This is the queue manager's initial default value.
  - YES Specifies that only FIPS-certified algorithms are to be used in the CipherSpecs allowed on all TLS connections from and to this queue manager. For a listing of appropriate FIPS 140-2 certified CipherSpecs; see Specifying CipherSpecs.

  Changes to SSLFIPS become effective either:
  - On UNIX, Linux, and Windows systems, when a new channel process is started.
  - For channels that run as threads of the channel initiator on UNIX, Linux, and Windows systems, when the channel initiator is restarted.
  - For channels that run as threads of the listener on UNIX, Linux, and Windows systems, when the listener is restarted.
  - For channels that run as threads of a process pooling process, when the process pooling process is started or restarted and first runs an TLS channel. If the process pooling process has already run an TLS channel, and you want the change to become effective immediately, run the MQSC command REFRESH SECURITY TYPE(SSL). The process pooling process is amqrmppa on UNIX, Linux, and Windows systems.
  - [z/OS]On z/OS, when the channel initiator is restarted.
  - When a REFRESH SECURITY TYPE(SSL) command is issued [z/OS], except on z/OS.
  DESC
  data_type('Optional[String[1]]')
end
