#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:sslkeyr, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  quote_values true # This property needs quoted values

  desc <<-DESC
  The name of the Secure Sockets Layer key repository.
  The maximum length of the string is 256 characters.
  The format of the name depends on the environment:
  - [z/OS]On z/OS, it is the name of a key ring.
  - On IBM i, it is of the form pathname/keyfile, where keyfile is specified without the suffix .kdb, and identifies a GSKit key database file.
  - If you specify *SYSTEM, IBM MQ uses the system certificate store as the key repository for the queue manager. The queue manager is registered as a server application in the Digital Certificate Manager (DCM). You can assign any server/client certificate in the system store to the queue manager, because you registered it as a server application. If you change the SSLKEYR parameter to a value other than *SYSTEM, IBM MQ unregisters the queue manager as an application with DCM.
  - On UNIX and Linux, it is of the form pathname/keyfile and on Windows pathname\keyfile , where keyfile is specified without the suffix .kdb, and identifies a Java keystore file.
  - On IBM i, UNIX, Linux, and Windows systems, the syntax of this parameter is validated to ensure that it contains a valid, absolute, directory path.

  If SSLKEYR is blank, channels using TLS fail to start. If SSLKEYR is set to a value that does not correspond to a key ring or key database file, channels using TLS also fail to start.
  Changes to SSLKEYR become effective either:
  - On IBM i, UNIX, Linux, and Windows systems, when a new channel process is started.
  - For channels that run as threads of the channel initiator on IBM i, UNIX, Linux, and Windows systems, when the channel initiator is restarted.
  - For channels that run as threads of the listener on IBM i, UNIX, Linux, and Windows systems, when the listener is restarted.
  - For channels that run as threads of a process pooling process, amqrmppa, when the process pooling process is started or restarted and first runs a TLS channel. If the process pooling process has already run a TLS channel, and you want the change to become effective immediately, run the MQSC command REFRESH SECURITY TYPE(SSL).
  - [z/OS]On z/OS, when the channel initiator is restarted.
  - When a REFRESH SECURITY TYPE(SSL) command is issued.
  DESC
  data_type('Optional[String[1]]')
end
