#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:sslrkeyc, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  [z/OS]The number of bytes to be sent and received within an TLS conversation before the secret key is renegotiated. The number of bytes includes control information.
  SSLRKEYC is used only by TLS channels which initiate communication from the queue manager. For example, the sender channel initiates communication in a sender and receiver channel pairing.
  If a value greater than zero is specified, the secret key is also renegotiated before message data is sent or received following a channel heartbeat. The count of bytes until the next secret key renegotiation is reset after each successful renegotiation.
  Specify a value in the range 0 - 999,999,999. A value of zero means that the secret key is never renegotiated. If you specify an TLS secret key reset count in the range 1 - 32767 bytes (32 KB), TLS channels use a secret key reset count of 32 KB. The larger reset count value avoids the cost of excessive key resets which would occur for small TLS secret key reset values.
  Attention
  Non-zero values less than 4096 (4 KB) might cause channels to fail to start, or might cause inconsistencies in the values of SSLKEYDA, SSLKEYTI, and SSLRKEYS.
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
