#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:ssltasks, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  [z/OS]The number of server subtasks to use for processing TLS calls. To use TLS channels, you must have at least two of these tasks running.
  This parameter is valid only on z/OS.
  This value is in the range 0 - 9999. To avoid problems with storage allocation, do not set the SSLTASKS parameter to a value greater than 50.
  Changes to this parameter are effective when the channel initiator is restarted.
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,9999]]]")
end
