#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:statacls, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether statistics data is to be collected for auto-defined cluster-sender channels. Valid values are:
  - QMGR Collection of statistics data is inherited from the setting of the STATCHL parameter of the queue manager. This is the queue manager's initial default value.
  - OFF Statistics data collection for the channel is switched off.
  - LOW Unless STATCHL is NONE, statistics data collection is switched on with a low ratio of data collection with a minimal effect on system performance.
  - MEDIUM Unless STATCHL is NONE, statistics data collection is switched on with a moderate ratio of data collection.
  - HIGH Unless STATCHL is NONE, statistics data collection is switched on with a high ratio of data collection.

  A change to this parameter takes effect only on channels started after the change occurs. Any channel started before the change to the parameter continues with the value in force at the time that the channel started.
  [z/OS]On z/OS, this parameter simply turns on statistics data collection, regardless of the value you select. Specifying LOW, MEDIUM, or HIGH makes no difference to your results.
  DESC

  newvalues('QMGR', 'OFF', 'LOW', 'MEDIUM', 'HIGH')
  data_type("Optional[Enum['QMGR', 'OFF', 'LOW', 'MEDIUM', 'HIGH']]")
end
