#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:statchl, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether statistics data is to be collected for channels. Valid values are:
  - NONE Statistics data collection is turned off for channels regardless of the setting of their STATCHL parameter.
  - OFF Statistics data collection is turned off for channels specifying a value of QMGR in their STATCHL parameter. This is the queue manager's initial default value.
  - LOW Statistics data collection is turned on, with a low ratio of data collection, for channels specifying a value of QMGR in their STATCHL parameter.
  - MEDIUM Statistics data collection is turned on, with a moderate ratio of data collection, for channels specifying a value of QMGR in their STATCHL parameter.
  - HIGH Statistics data collection is turned on, with a high ratio of data collection, for channels specifying a value of QMGR in their STATCHL parameter.

  A change to this parameter takes effect only on channels started after the change occurs. Any channel started before the change to the parameter continues with the value in force at the time that the channel started.
  [z/OS]On z/OS, this parameter simply turns on statistics data collection, regardless of the value you select. Specifying LOW, MEDIUM, or HIGH makes no difference to your results.
  DESC

  newvalues('NONE', 'OFF', 'LOW', 'MEDIUM', 'HIGH')
  data_type("Optional[Enum['NONE', 'OFF', 'LOW', 'MEDIUM', 'HIGH']]")
end
