#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:statq, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether statistics data is to be collected for queues. Valid values are:
  - NONE Statistics data collection is turned off for queues regardless of the setting of their STATQ parameter.
  - OFF Statistics data collection is turned off for queues specifying a value of QMGR or OFF in their STATQ parameter. OFF is the default value.
  - ON Statistics data collection is turned on for queues specifying a value of QMGR or ON in their STATQ parameter.

  This parameter is valid only on IBM i, UNIX, Linux, and Windows systems.
  Statistics messages are generated only for queues which are opened after statistics collection is enabled. You do not need to restart the queue manager for the new value of STATQ to take effect.
  DESC

  newvalues('NONE', 'OFF', 'ON')
  data_type("Optional[Enum['NONE', 'OFF', 'ON']]")
end
