#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:suiteb, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether Suite B-compliant cryptography is used and what strength is required.
  Valid values are:
  - NONE Suite B is not used. NONE is the default
  - 128_BIT Suite B 128-bit level security is used.
  - 192_BIT Suite B 192-bit level security is used
  - 128_BIT,192_BIT Both Suite B 128-bit and 192-bit level security is used
  DESC

  newvalues('NONE', '128_BIT', '192_BIT', '128_BIT,192_BIT')
  data_type("Optional[Enum['NONE', '128_BIT', '192_BIT', '128_BIT,192_BIT']]")
end
