#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:treelife, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Validators::Integer
  include EasyType::Mungers::Integer

  desc <<-DESC
  The lifetime, in seconds of non-administrative topics.
  Non-administrative topics are those topics created when an application publishes to, or subscribes on, a topic string that does not exist as an administrative node. When this non-administrative node no longer has any active subscriptions, this parameter determines how long the queue manager waits before removing that node. Only non-administrative topics that are in use by a durable subscription remain after the queue manager is recycled.
  Specify a value in the range 0 through 604000. A value of 0 means that non-administrative topics are not removed by the queue manager.
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[1,604000]]]")
end
