#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:trigint, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  A time interval expressed in milliseconds.
  The TRIGINT parameter is relevant only if the trigger type ( TRIGTYPE ) is set to FIRST (see DEFINE QLOCAL for details). In this case trigger messages are normally generated only when a suitable message arrives on the queue, and the queue was previously empty. Under certain circumstances, however, an additional trigger message can be generated with FIRST triggering even if the queue was not empty. These additional trigger messages are not generated more often than every TRIGINT milliseconds; see [Special case of trigger type FIRST](https://www.ibm.com/support/knowledgecenter/en/SSFKSJ_9.0.0/com.ibm.mq.dev.doc/q026940_.htm?view=kc#q026940___q026940_1).
  Specify a value in the range 0 - 999,999,999.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer[0,999999999]]]")
end
