#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:acctq, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Specifies whether accounting data collection is to be enabled for the queue. On z/OS, the data collected is class 3 accounting data (thread-level and queue-level accounting). In order for accounting data to be collected for this queue, accounting data for this connection must also be enabled. Turn on accounting data collection by setting either the ACCTQ queue manager attribute, or the options field in the MQCNO structure on the MQCONNX call.
  Valid values are:
  - QMGR The collection of accounting data is based on the setting of the ACCTQ parameter on the queue manager definition.
  - ON Accounting data collection is enabled for the queue unless the ACCTQ queue manager parameter has a value of NONE. On z/OS systems, you must switch on class 3 accounting using the START TRACE command.
  - OFF Accounting data collection is disabled for the queue.
  DESC

  newvalues('QMGR', 'ON', 'OFF')
  data_type("Optional[Enum['QMGR', 'ON', 'OFF']]")
end
