#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:bothresh, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The backout threshold.
  This parameter is supported only on local and model queues.
  Use this parameter to set or change the value of the back out threshold attribute of a local or model queue. Apart from allowing its value to be queried, the queue manager does nothing based on the value of this attribute. IBM MQ classes for JMS use the attribute to determine how many times back a message out. When the value is exceeded the message is transferred to the queue named by the BOQNAME attribute.
  Specify a value in the range 0 - 999,999,999.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer[0,999999999]]]")
end
