#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:clwlprty, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  Specifies the priority of the queue for the purposes of cluster workload distribution. This parameter is valid only for local, remote, and alias queues. The value must be in the range zero through 9 where zero is the lowest priority and 9 is the highest. For more information about this attribute, see [CLWLPRTY queue attribute](https://www.ibm.com/support/knowledgecenter/en/SSFKSJ_8.0.0/com.ibm.mq.ref.con.doc/q082400_.htm?view=kc).
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
