#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:clwluseq, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Specifies the behavior of an MQPUT operation when the target queue has a local instance and at least one remote cluster instance. The parameter has no effect when the MQPUT originates from a cluster channel. This parameter is valid only for local queues.
  Valid values are:
  - QMGR The behavior is as specified by the CLWLUSEQ parameter of the queue manager definition.
  - ANY The queue manager is to treat the local queue as another instance of the cluster queue for the purposes of workload distribution.
  - LOCAL The local queue is the only target of the MQPUT operation.
  DESC

  newvalues('QMGR', 'LOCAL', 'ANY')
  data_type("Optional[Enum['QMGR', 'LOCAL', 'ANY']]")
end
