#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:defbind, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Specifies the binding to be used when the application specifies MQOO_BIND_AS_Q_DEF on the MQOPEN call, and the queue is a cluster queue.
  Valid values are:
  - OPEN The queue handle is bound to a specific instance of the cluster queue when the queue is opened.
  - NOTFIXED The queue handle is not bound to any instance of the cluster queue. The queue manager selects a specific queue instance when the message is put using MQPUT. It changes that selection later, if the need arises.
  - GROUP Allows an application to request that a group of messages is allocated to the same destination instance.
  Multiple queues with the same name can be advertised in a queue manager cluster. An application can send all messages to a single instance, MQOO_BIND_ON_OPEN. It can allow a workload management algorithm to select the most suitable destination on a per message basis, MQOO_BIND_NOT_FIXED. It can allow an application to request that a group of messages be all allocated to the same destination instance. The workload balancing reselects a destination between groups of messages, without requiring an MQCLOSE and MQOPEN of the queue.
  The MQPUT1 call always behaves as if NOTFIXED is specified.
  This parameter is valid only on AIX, HP-UX, Linux, IBM i, Solaris, and Windows[z/OS], and z/OS.
  DESC

  newvalues('OPEN', 'NOTFIXED', 'GROUP')
  data_type("Optional[Enum['OPEN', 'NOTFIXED', 'GROUP']]")
end
