#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:defpresp, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Specifies the behavior to be used by applications when the put response type, within the MQPMO options, is set to MQPMO_RESPONSE_AS_Q_DEF.
  Valid values are:
  - SYNC Put operations to the queue specifying MQPMO_RESPONSE_AS_Q_DEF are issued as if MQPMO_SYNC_RESPONSE is specified instead.
  - ASYNC Put operations to the queue specifying MQPMO_RESPONSE_AS_Q_DEF are issued as if MQPMO_ASYNC_RESPONSE is specified instead; see MQPMO options (MQLONG).
  DESC

  newvalues('SYNC', 'ASYNC')
  data_type("Optional[Enum['SYNC', 'ASYNC']]")
end
