#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:defpsist, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Specifies the message persistence to be used when applications specify the MQPER_PERSISTENCE_AS_Q_DEF option.
  Valid values are:
  - NO Messages on this queue are lost across a restart of the queue manager.
  - YES Messages on this queue survive a restart of the queue manager.

  [z/OS]On z/OS, N and Y are accepted as synonyms of NO and YES.
  DESC

  newvalues('YES', 'NO')
  data_type("Optional[Enum['YES', 'NO']]")
end
