#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:defreada, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Specifies the default read ahead behavior for non-persistent messages delivered to the client. Enabling read ahead can improve the performance of client applications consuming non-persistent messages.
  Valid values are:
  - NO Non-persistent messages are not read ahead unless the client application is configured to request read ahead.
  - YES Non-persistent messages are sent to the client before an application requests them. Non-persistent messages can be lost if the client ends abnormally or if the client does not delete all the messages it is sent.
  - DISABLED Read ahead of non-persistent messages in not enabled for this queue. Messages are not sent ahead to the client regardless of whether read ahead is requested by the client application.
  DESC

  newvalues('NO', 'YES', 'DISABLED')
  data_type("Optional[Enum['NO', 'YES', 'DISABLED']]")
end
