#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:like, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  The name of a queue, with parameters that are used to model this definition.
  If this field is not completed, the values of undefined parameter fields are taken from one of the following definitions. The choice depends on the queue type:
  - Alias queue	SYSTEM.DEFAULT.ALIAS.QUEUE
  - Local queue	SYSTEM.DEFAULT.LOCAL.QUEUE
  - Model queue	SYSTEM.DEFAULT.MODEL.QUEUE
  - Remote queue	SYSTEM.DEFAULT.REMOTE.QUEUE

  For example, not completing this parameter is equivalent to defining the following value of LIKE for an alias queue:
  LIKE(SYSTEM.DEFAULT.ALIAS.QUEUE)
  If you require different default definitions for all queues, alter the default queue definitions instead of using the LIKE parameter.
  [z/OS]On z/OS, the queue manager searches for an object with the name and queue type you specify with a disposition of QMGR, COPY, or SHARED. The disposition of the LIKE object is not copied to the object you are defining.

  Note
  QSGDISP ( GROUP ) objects are not searched.
  LIKE is ignored if QSGDISP ( COPY ) is specified.
  DESC
  data_type('Optional[String[1]]')
end
