#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:maxdepth, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The maximum number of messages allowed on the queue.
  This parameter is supported only on local and model queues.
  On AIX, HP-UX, Linux, Solaris, and Windows[z/OS], and z/OS, specify a value in the range zero through 999999999.
  This parameter is valid only on AIX, HP-UX, Linux, Solaris, and Windows[z/OS], and z/OS.
  On any other IBM MQ platform, specify a value in the range zero through 640000.
  Other factors can still cause the queue to be treated as full, for example, if there is no further hard disk space available.
  If this value is reduced, any messages that are already on the queue that exceed the new maximum remain intact.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
