#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:maxmsgl, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The maximum length (in bytes) of messages on this queue.
  This parameter is supported only on local and model queues.
  On AIX, HP-UX, Linux, Solaris, and Windows, specify a value in the range zero to the maximum message length for the queue manager. See the MAXMSGL parameter of the ALTER QMGR command, ALTER QMGR MAXMSGL.
  [z/OS]On z/OS, specify a value in the range zero through 100 MB (104 857 600 bytes).
  Message length includes the length of user data and the length of headers. For messages put on the transmission queue, there are additional transmission headers. Allow an additional 4000 bytes for all the message headers.
  If this value is reduced, any messages that are already on the queue with length that exceeds the new maximum are not affected.
  Applications can use this parameter to determine the size of buffer for retrieving messages from the queue. Therefore, the value can be reduced only if it is known that this reduction does not cause an application to operate incorrectly.
  Note that by adding the digital signature and key to the message, IBM MQ Advanced Message Security increases the length of the message.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
