#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:monq, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Controls the collection of online monitoring data for queues.
  This parameter is supported only on local and model queues. Valid values are:
  - QMGR Collect monitoring data according to the setting of the queue manager parameter MONQ.
  - OFF Online monitoring data collection is turned off for this queue.
  - LOW If the value of the MONQ parameter of the queue manager is not NONE, online monitoring data collection is turned on for this queue.
  - MEDIUM If the value of the MONQ parameter of the queue manager is not NONE, online monitoring data collection is turned on for this queue.
  - HIGH If the value of the MONQ parameter of the queue manager is not NONE, online monitoring data collection is turned on for this queue.

  There is no distinction between the values LOW, MEDIUM, and HIGH. These values all turn data collection on, but do not affect the rate of collection.
  When this parameter is used in an ALTER queue command, the change is effective only when the queue is next opened.
  DESC

  newvalues('QMGR', 'OFF', 'LOW', 'MEDIUM', 'HIGH')
  data_type("Optional[Enum['QMGR', 'OFF', 'LOW', 'MEDIUM', 'HIGH']]")
end
