#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:msgdlvsq, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Message delivery sequence.
  This parameter is supported only on local and model queues. Valid values are:
  - PRIORITY Messages are delivered (in response to MQGET API calls) in first-in-first-out (FIFO) order within priority.
  - FIFO Messages are delivered (in response to MQGET API calls) in FIFO order. Priority is ignored for messages on this queue.

  The message delivery sequence parameter can be changed from PRIORITY to FIFO while there are messages on the queue. The order of the messages already on the queue is not changed. Messages added to the queue later take the default priority of the queue, and so might be processed before some of the existing messages.
  If the message delivery sequence is changed from FIFO to PRIORITY, the messages put on the queue while the queue was set to FIFO take the default priority.
  DESC

  newvalues('PRIORITY', 'FIFO')
  data_type("Optional[Enum['PRIORITY', 'FIFO']]")
end
