#
# See the file "LICENSE" for the full license governing this code.
#

require 'puppet_x/enterprisemodules/mq/mungers'

newparam(:name) do
  include EasyType
  include EasyType::Validators::Name
  include Puppet_X::EnterpriseModules::Mq::Mungers::QueueName

  desc <<-DESC
    The full name of the queue. A queue's full name constists of the name of the
    Queue manager a slash and then the name of the queue. Here is an example:

        QMGR1/QREMOTE/MY.FIRST.QUEUE

  DESC
  data_type('Optional[String[1]]')
  isnamevar

  to_translate_to_resource do |raw_resource|
    qmgr  = raw_resource[:qmgr]
    qtype = raw_resource[:qtype]
    queue = raw_resource[:queue]
    "#{qmgr}/#{qtype}/#{queue}"
  end
end
