#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:noreplace, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  This option controls whether any existing definition[z/OS], and on IBM MQ for z/OS of the same disposition, is to be replaced with this one.

  Note
  [z/OS] Any object with a different disposition is not changed.

  Valid values are:
  - REPLACE If the object does exist, the effect is like issuing the ALTER command without the FORCE parameter and with all the other parameters specified. In particular, note that any messages that are on the existing queue are retained. There is a difference between the ALTER command without the FORCE parameter, and the DEFINE command with the REPLACE parameter. The difference is that ALTER does not change unspecified parameters, but DEFINE with REPLACE sets all the parameters. If you use REPLACE, unspecified parameters are taken either from the object named on the LIKE parameter, or from the default definition, and the parameters of the object being replaced, if one exists, are ignored. The command fails if both of the following are true:
    - The command sets parameters that would require the use of the FORCE parameter if you were using the ALTER command
    - The object is open
    The ALTER command with the FORCE parameter succeeds in this situation.
    If SCOPE(CELL) is specified on UNIX and Linux systems, or Windows, and there is already a queue with the same name in the cell directory, the command fails, even if REPLACE is specified.
  - NOREPLACE The definition must not replace any existing definition of the object.

  DESC

  newvalues('REPLACE', 'NOREPLACE')
  data_type("Optional[Enum['REPLACE', 'NOREPLACE']]")
end
