#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:notrigger, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Specifies whether trigger messages are written to the initiation queue, named by the INITQ parameter, to trigger the application, named by the PROCESS parameter.
  Valid values are:
  - TRIGGER Triggering is active, and trigger messages are written to the initiation queue.
  - NOTRIGGER Triggering is not active, and trigger messages are not written to the initiation queue.

  This parameter is supported only on local and model queues.
  This parameter can also be changed using the MQSET API call.
  DESC

  newvalues('TRIGGER', 'NOTRIGGER')
  data_type("Optional[Enum['TRIGGER', 'NOTRIGGER']]")
end
