#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:npmclass, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  The level of reliability to be assigned to non-persistent messages that are put to the queue.
  Valid values are:
  - NORMAL Non-persistent messages are lost after a failure, or queue manager shutdown. These messages are discarded on a queue manager restart.
  - HIGH The queue manager attempts to retain non-persistent messages on this queue over a queue manager restart or switch over.

  [z/OS]You cannot set this parameter on z/OS.
  DESC

  newvalues('NORMAL', 'HIGH')
  data_type("Optional[Enum['NORMAL', 'HIGH']]")
end
