#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:process, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  quote_values true
  desc <<-DESC
  The local name of the IBM MQ process.
  This parameter is supported only on local and model queues.
  This parameter is the name of a process instance that identifies the application started by the queue manager when a trigger event occurs; see Rules for naming IBM MQ objects.
  The process definition is not checked when the local queue is defined, but it must be available for a trigger event to occur.
  If the queue is a transmission queue, the process definition contains the name of the channel to be started. This parameter is optional for transmission queues on AIX, HP-UX, IBM i, Linux, Solaris, and Windows[z/OS], and z/OS. If you do not specify it, the channel name is taken from the value specified for the TRIGDATA parameter.
  DESC
  data_type('Optional[String[1]]')
end
