#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:propctl, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Property control attribute. The attribute is optional. It is applicable to local, alias, and model queues.
  PROPCTL options are as follows. The options do not affect message properties in the MQMD or MQMD extension.
  Valid values are:
  - ALL Set ALL so that an application can read all the properties of the message either in MQRFH2 headers, or as properties of the message handle. The ALL option enables applications that cannot be changed to access all the message properties from MQRFH2 headers. Applications that can be changed, can access all the properties of the message as properties of the message handle. In some cases, the format of data in MQRFH2 headers in the received message might be different to the format in the message when it was sent.
  - COMPAT Set COMPAT so that unmodified applications that expect JMS-related properties to be in an MQRFH2 header in the message data continue to work as before. Applications that can be changed, can access all the properties of the message as properties of the message handle. If the message contains a property with a prefix of mcd., jms., usr., or mqext., all message properties are delivered to the application. If no message handle is supplied, properties are returned in an MQRFH2 header. If a message handle is supplied, all properties are returned in the message handle. If the message does not contain a property with one of those prefixes, and the application does not provide a message handle, no message properties are returned to the application. If a message handle is supplied, all properties are returned in the message handle. In some cases, the format of data in MQRFH2 headers in the received message might be different to the format in the message when it was sent.
  - FORCE Force all applications to read message properties from MQRFH2 headers. Properties are always returned in the message data in an MQRFH2 header regardless of whether the application specifies a message handle. A valid message handle supplied in the MsgHandle field of the MQGMO structure on the MQGET call is ignored. Properties of the message are not accessible using the message handle. In some cases, the format of data in MQRFH2 headers in the received message might be different to the format in the message when it was sent.
  - NONE If a message handle is supplied, all the properties are returned in the message handle. All message properties are removed from the message body before it is delivered to the application.
  DESC

  newvalues('ALL', 'COMPAT', 'FORCE', 'NONE')
  data_type("Optional[Enum['ALL', 'COMPAT', 'FORCE', 'NONE']]")
end
