#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:qdepthlo, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The threshold against which the queue depth is compared to generate a Queue Depth Low event.
  This parameter is supported only on local and model queues. [z/OS]For more information about the effect that shared queues on z/OS have on this event; see Shared queues and queue depth events ( IBM MQ for z/OS ).
  This event indicates that an application retrieved a message from a queue resulting in the number of messages on the queue becoming less than or equal to the queue depth low threshold. See the QDPLOEV parameter.
  The value is expressed as a percentage of the maximum queue depth ( MAXDEPTH parameter), and must be in the range zero through 100 and no greater than QDEPTHHI.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
