#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:qdphiev, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Controls whether Queue Depth High events are generated.
  This parameter is supported only on local and model queues.
  A Queue Depth High event indicates that an application put a message on a queue resulting in the number of messages on the queue becoming greater than or equal to the queue depth high threshold. See the QDEPTHHI parameter.

  Note
  The value of this parameter can change implicitly[z/OS], and shared queues on z/OS affect the event. See the description of Queue Depth High. Valid values are:
  - ENABLED Queue Depth High events are generated
  - DISABLED Queue Depth High events are not generated
  DESC

  newvalues('ENABLED', 'DISABLED')
  data_type("Optional[Enum['ENABLED', 'DISABLED']]")
end
