#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:qdploev, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Controls whether Queue Depth Low events are generated.
  This parameter is supported only on local and model queues.
  A Queue Depth Low event indicates that an application retrieved a message from a queue resulting in the number of messages on the queue becoming less than or equal to the queue depth low threshold. See the QDEPTHLO parameter.
  Note
  The value of this parameter can change implicitly[z/OS], and shared queues on z/OS affect the event. For more information about this event, see Queue Depth Low.

  Valid values are:
  - ENABLED Queue Depth Low events are generated
  - DISABLED Queue Depth Low events are not generated
  DESC

  newvalues('ENABLED', 'DISABLED')
  data_type("Optional[Enum['ENABLED', 'DISABLED']]")
end
