#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:qdpmaxev, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Controls whether Queue Full events are generated.
  This parameter is supported only on local and model queues.
  A Queue Full event indicates that a put to a queue was rejected because the queue is full. The queue depth reached its maximum value.

  Note
  The value of this parameter can change implicitly[z/OS], and shared queues on z/OS affect the event. For more information about this event, see Queue Full.

  Valid values are:
  - ENABLED Queue Full events are generated
  - DISABLED Queue Full events are not generated
  DESC

  newvalues('ENABLED', 'DISABLED')
  data_type("Optional[Enum['ENABLED', 'DISABLED']]")
end
