#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:qsvciev, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Controls whether Service Interval High or Service Interval OK events are generated.
  This parameter is supported only on local and model queues and is ineffective if it is specified on a shared queue.
  A Service Interval High event is generated when a check indicates that no messages were retrieved from the queue for at least the time indicated by the QSVCINT parameter.
  A Service Interval OK event is generated when a check indicates that messages were retrieved from the queue within the time indicated by the QSVCINT parameter.

  Note
  The value of this parameter can change implicitly. For more information, see the description of the Service Interval High and Service Interval OK events in Queue Service Interval High and Queue Service Interval OK.

  Valid values are:
  - HIGH Service Interval High events are generated
  - OK Service Interval OK events are generated
  - NONE No service interval events are generated
  DESC

  newvalues('HIGH', 'OK', 'NONE')
  data_type("Optional[Enum['HIGH', 'OK', 'NONE']]")
end
