#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:qsvcint, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The service interval used for comparison to generate Service Interval High and Service Interval OK events.
  This parameter is supported only on local and model queues and is ineffective if it is specified on a shared queue.
  See the QSVCIEV parameter.
  The value is in units of milliseconds, and must be in the range zero through 999999999.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
