#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:qtype, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  The queue type to manage. Valid types are:
  - QALIAS
  - QLOCAL
  - QMODEL
  - QREMOTE

  This is an immutable property. So you cannot change it.
  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.

  DESC
  newvalues('QALIAS', 'QLOCAL', 'QMODEL', 'QREMOTE')
  data_type("Optional[Enum['QALIAS', 'QLOCAL', 'QMODEL', 'QREMOTE']]")
  defaultto('QLOCAL')

  def self.translate_to_resource(raw_resource, _resource)
    raw_resource[:output].scan(/TYPE\((.*?)\)/).flatten.first
  end

  on_create do
    # The create uses this value to construct the command
  end
end
