#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:retintvl, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The number of hours from when the queue was defined, after which the queue is no longer needed. The value must be in the range 0 - 999,999,999.
  This parameter is supported only on local and model queues.
  The CRDATE and CRTIME can be displayed using the DISPLAY QUEUE command.
  This information is available for use by an operator or a housekeeping application to delete queues that are no longer required.
  Note
  The queue manager does not delete queues based on this value, nor does it prevent queues from being deleted if their retention interval is not expired. It is the responsibility of the user to take any required action.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
