#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:rname, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  quote_values true
  desc <<-DESC
  Name of remote queue. This parameter is the local name of the queue as defined on the queue manager specified by RQMNAME.
  This parameter is supported only on remote queues.
  - If this definition is used for a local definition of a remote queue, RNAME must not be blank when the open occurs.
  - If this definition is used for a queue manager alias definition, RNAME must be blank when the open occurs.
  - In a queue manager cluster, this definition applies only to the queue manager that made it. To advertise the alias to the whole cluster, add the CLUSTER attribute to the remote queue definition.

  If this definition is used for a reply-to queue alias, this name is the name of the queue that is to be the reply-to queue.
  The name is not checked to ensure that it contains only those characters normally allowed for queue names; see [Rules for naming IBM MQ objects](https://www.ibm.com/support/knowledgecenter/en/SSFKSJ_8.0.0/com.ibm.mq.pro.doc/q003340_.htm?view=kc).
  DESC
  data_type('Optional[String[1]]')
end
