#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:rqmname, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  quote_values true
  desc <<-DESC
  The name of the remote queue manager on which the queue RNAME is defined.
  This parameter is supported only on remote queues.
  - If an application opens the local definition of a remote queue, RQMNAME must not be blank or the name of the local queue manager. When the open occurs, if XMITQ is blank there must be a local queue of this name, which is to be used as the transmission queue.
  - If this definition is used for a queue manager alias, RQMNAME is the name of the queue manager that is being aliased. It can be the name of the local queue manager. Otherwise, if XMITQ is blank, when the open occurs there must be a local queue of this name, which is to be used as the transmission queue.
  - If RQMNAME is used for a reply-to queue alias, RQMNAME is the name of the queue manager that is to be the reply-to queue manager.

  The name is not checked to ensure that it contains only those characters normally allowed for IBM MQ object names; see [Rules for naming IBM MQ objects](https://www.ibm.com/support/knowledgecenter/en/SSFKSJ_8.0.0/com.ibm.mq.pro.doc/q003340_.htm?view=kc).
  DESC
  data_type('Optional[String[1]]')
end
