#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:scope, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Specifies the scope of the queue definition.
  This parameter is supported only on alias, local, and remote queues.
  Valid values are:
  - QMGR The queue definition has queue manager scope. This means that the definition of the queue does not extend beyond the queue manager that owns it. You can open a queue for output that is owned by another queue manager in either of two ways:
    1. Specify the name of the owning queue manager.
    2. Open a local definition of the queue on the other queue manager.
  - CELL The queue definition has cell scope. Cell scope means that the queue is known to all the queue managers in the cell. A queue with cell scope can be opened for output merely by specifying the name of the queue. The name of the queue manager that owns the queue need not be specified. If there is already a queue with the same name in the cell directory, the command fails. The REPLACE option does not affect this situation. This value is valid only if a name service supporting a cell directory is configured.

  Restriction
  The DCE name service is no longer supported.
  This parameter is valid only on UNIX and Linux systems, and Windows.
  DESC
  newvalues('QMGR', 'CELL')
  data_type("Optional[Enum['QMGR', 'CELL']]")
end
