#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:statq, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Specifies whether statistics data collection is enabled. Valid values are:
  - QMGR Statistics data collection is based on the setting of the STATQ parameter of the queue manager.
  - ON If the value of the STATQ parameter of the queue manager is not NONE, statistics data collection for the queue is enabled.
  - OFF Statistics data collection for the queue is disabled.

  If this parameter is used in an ALTER queue command, the change is effective only for connections to the queue manager made after the change to the parameter.
  This parameter is valid only on IBM i, UNIX and Linux systems, and Windows.
  DESC

  newvalues('QMGR', 'OFF', 'ON')
  data_type("Optional[Enum['QMGR', 'OFF', 'ON']]")
end
