#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:trigtype, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Specifies whether and under what conditions a trigger message is written to the initiation queue. The initiation queue is (named by the INITQ parameter.
  This parameter is supported only on local and model queues. Valid values are:
  - FIRST Whenever the first message of priority equal to or greater than the priority specified by the TRIGMPRI parameter of the queue arrives on the queue.
  - EVERY Every time a message arrives on the queue with priority equal to or greater than the priority specified by the TRIGMPRI parameter of the queue.
  - DEPTH When the number of messages with priority equal to or greater than the priority specified by TRIGMPRI is equal to the number indicated by the TRIGDPTH parameter.
  - NONE No trigger messages are written.

  This parameter can also be changed using the MQSET API call.
  DESC

  newvalues('FIRST', 'EVERY', 'DEPTH', 'NONE')
  data_type("Optional[Enum['FIRST', 'EVERY', 'DEPTH', 'NONE']]")
end
