#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:usage, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Queue usage.
  This parameter is supported only on local and model queues. Valid values are:
  - NORMAL The queue is not a transmission queue.
  - XMITQ The queue is a transmission queue, which is used to hold messages that are destined for a remote queue manager. When an application puts a message to a remote queue, the message is stored on the appropriate transmission queue. It stays there, awaiting transmission to the remote queue manager.
  If you specify this option, do not specify values for CLUSTER and CLUSNL.
  [z/OS]Additionally, on z/OS, do not specify INDXTYPE ( MSGTOKEN ) or INDXTYPE ( GROUPID ).
  DESC

  newvalues('NORMAL', 'XMITQ')
  data_type("Optional[Enum['NORMAL', 'XMITQ']]")
end
