#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:replace, :parent => PuppetX::EnterpriseModules::Mq::SubscriptionProperty) do
  quote_values true
  desc <<-DESC
  The definition replaces any existing definition of the same name. If a definition does not exist, one is created.
  You cannot change TOPICOBJ, TOPICSTR, WSCHEMA, SELECTOR, SUBSCOPE, or DESTCLAS with DEFINE REPLACE.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  data_type('Optional[String[1]]')
end
