#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:cmdscope, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  quote_values true
  desc <<-DESC
  This parameter applies to z/OS only and specifies how the command is executed when the queue manager is a member of a queue-sharing group.
  CMDSCOPE must be blank, or the local queue manager, if QSGDISP is set to GROUP.
  ' '
  The command is executed on the queue manager on which it was entered.
  qmgr-name
  The command is executed on the queue manager you specify, providing the queue manager is active within the queue-sharing group.
  You can specify a queue manager name other than the queue manager on which it was entered, only if you are using a shared queue environment and if the command server is enabled.

  *
  The command is executed on the local queue manager and is also passed to every active queue manager in the queue-sharing group. The effect of * is the same as entering the command on every queue manager in the queue-sharing group.
  DESC
  data_type('Optional[String[1]]')
end
