#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:defpresp, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  desc <<-DESC
  Specifies the put response to be used when applications specify the MQPMO_RESPONSE_AS_DEF option.

  Valid values are:

  - ASPARENT    The default put response is based on the setting of the closest parent administrative topic object in the topic tree.
  - SYNC        Put operations to the queue that specify MQPMO_RESPONSE_AS_Q_DEF are issued as if MQPMO_SYNC_RESPONSE had been specified instead. Fields in the MQMD and MQPMO are returned by the queue manager to the application.
  - ASYNC       Put operations to the queue that specify MQPMO_RESPONSE_AS_Q_DEF are always issued as if MQPMO_ASYNC_RESPONSE had been specified instead. Some fields in the MQMD and MQPMO are not returned by the queue manager to the application; but an improvement in performance might be seen for messages put in a transaction and any non-persistent messages

  DESC
  newvalues('ASPARENT', 'SYNC', 'ASYNC')
  data_type("Optional[Enum['ASPARENT', 'SYNC', 'ASYNC']]")
end
