#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:defprty, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  include EasyType::Validators::Integer

  desc <<-DESC
  The default priority of messages published to the topic.
  (integer)
  The value must be in the range zero (the lowest priority), through to the MAXPRTY queue manager parameter (MAXPRTY is 9).
  ASPARENT
  The default priority is based on the setting of the closest parent administrative topic object in the topic tree.
  DESC
  data_type("Optional[Variant[Enum['absent','ASPARENT'],Integer[0,100000]]]")
  validate do |value|
    return if value == 'ASPARENT'

    super(value)
  end
end
