#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:defpsist, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  desc <<-DESC
  Specifies the message persistence to be used when applications specify the MQPER_PERSISTENCE_AS_TOPIC_DEF option.
  ASPARENT
  The default persistence is based on the setting of the closest parent administrative topic object in the topic tree.
  - NO Messages on this queue are lost during a restart of the queue manager.
  - YES Messages on this queue survive a restart of the queue manager.

  On z/OS, N and Y are accepted as synonyms of NO and YES.
  DESC
  newvalues('NO', 'YES')
  data_type("Optional[Enum['NO', 'YES','ASPARENT']]")
end
