#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:mcast, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  desc <<-DESC
  Specifies whether multicast is allowable in the topic tree. The values are:
  - ASPARENT  The multicast attribute of the topic is inherited from the parent.
  - DISABLED  No multicast traffic is allowed at this node.
  - ENABLED   Multicast traffic is allowed at this node.
  - ONLY      Only subscriptions from a multicast capable client are allowed.
  DESC
  newvalues('ASPARENT', 'DISABLED', 'ENABLED', 'ONLY')
  data_type("Optional[Enum['ASPARENT', 'DISABLED', 'ENABLED', 'ONLY']]")
end
