#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DESC
    The full name of the topic. A topic's full name constists of the name of the
    Queue manager a slash and then the name of the topic. Here is an example:

        QMGR1/MY.FIRST.TOPIC

  DESC
  data_type('Optional[String[1]]')
  isnamevar

  to_translate_to_resource do |raw_resource|
    qmgr  = raw_resource[:qmgr]
    topic = raw_resource[:name]
    "#{qmgr}/#{topic}"
  end
end
