#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:pmsgdlv, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  desc <<-DESC
  The delivery mechanism for persistent messages published to this topic:
  - ASPARENT  The delivery mechanism used is based on the setting of the first parent administrative node found in the topic tree relating to this topic.
  - ALL       Persistent messages must be delivered to all subscribers, irrespective of durability for the MQPUT call to report success. If a delivery failure to any subscriber occurs, no other subscribers receive the message and the MQPUT call fails.
  - ALLAVAIL  Persistent messages are delivered to all subscribers that can accept the message. Failure to deliver the message to any subscriber does not prevent other subscribers from receiving the message.
  - ALLDUR    Persistent messages must be delivered to all durable subscribers. Failure to deliver a persistent message to any non-durable subscribers does not return an error to the MQPUT call. If a delivery failure to a durable subscriber occurs, no subscribers receive the message and the MQPUT calls fails.
  DESC
  newvalues('ASPARENT', 'ALL', 'ALLAVAIL', 'ALLDUR')
  data_type("Optional[Enum['ASPARENT', 'ALL', 'ALLAVAIL', 'ALLDUR']]")
end
