#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:proxysub, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  desc <<-DESC
  Controls when a proxy subscription is sent for this topic, or topic strings below this topic, to neighboring queue managers when in a publish/subscribe cluster or hierarchy. For more details, see More on routing mechanisms.
  - FIRSTUSE  For each unique topic string at or below this topic object, a proxy subscription is asynchronously sent to all neighboring queue managers in the following scenarios:
  When a local subscription is created.
  When a proxy subscription is received that must be propagated to further directly connected queue managers.
  - FORCE A wildcard proxy subscription that matches all topic strings at and below this point in the topic tree is sent to neighboring queue managers even if no local subscriptions exist.
  Note
  The proxy subscription is sent when this value is set on DEFINE or ALTER. When set on a clustered topic, all queue managers in the cluster issue the wildcard proxy subscription to all other queue managers in the cluster.
  DESC
  newvalues('FIRSTUSE', 'FORCE')
  data_type("Optional[Enum['FIRSTUSE', 'FORCE']]")
end
