#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:pubscope, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  desc <<-DESC
  Determines whether this queue manager propagates publications to queue managers as part of a hierarchy or as part of a publish/subscribe cluster.
  Note
  You can restrict the behavior on a publication-by-publication basis, using MQPMO_SCOPE_QMGR on the Put Message options.
  - ASPARENT  Determines whether this queue manager propagates publications to queue managers as part of a hierarchy or as part of a publish/subscribe cluster. This is based on the setting of the first parent administrative node found in the topic tree that relates to this topic.
  - QMGR      Publications for this topic are not propagated to connected queue managers.
  - ALL       Publications for this topic are propagated to hierarchically connected queue managers and to publish/subscribe cluster-connected queue managers.
  DESC
  newvalues('ASPARENT', 'QMGR', 'ALL')
  data_type("Optional[Enum['ASPARENT', 'QMGR', 'ALL']]")
end
