#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:ttype, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  desc <<-DESC
  The topic type to manage.

  This is an immutable property. So you cannot change it.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  data_type('Optional[String[1]]')
  def self.translate_to_resource(raw_resource, _resource)
    raw_resource[:output].scan(/TYPE\((.*?)\)/).flatten.first
  end

  def insync?(current_value)
    fail "#{path}: Your must recreate the object when changing it's type." if (current_value != should) && (resource[:ensure] == :present)
  end

  on_create do
    # The create uses this value to construct the command
  end
end
