#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:usedlq, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  desc <<-DESC
  Determines whether the dead-letter queue is used when publication messages cannot be delivered to their correct subscriber queue.
  - ASPARENT  Determines whether to use the dead-letter queue using the setting of the closest administrative topic object in the topic tree. This value is the default supplied with WebSphere MQ, but your installation might have changed it.
  - NO        Publication messages that cannot be delivered to their correct subscriber queue are treated as a failure to put the message. The MQPUT of an application to a topic fails in accordance with the settings of NPMSGDLV and PMSGDLV.
  - YES       When the DEADQ queue manager attribute provides the name of a dead-letter queue, then it is used. If the queue manager does not provide the name of a dead-letter queue, then the behavior is as for NO.

  DESC
  newvalues('ASPARENT', 'NO', 'YES')
  data_type("Optional[Enum['ASPARENT', 'NO', 'YES']]")
end
