#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:wildcard, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  desc <<-DESC
  he behavior of wildcard subscriptions with respect to this topic.
  - PASSTHRU    Subscriptions made to a wildcarded topic less specific than the topic string at this topic object receive publications made to this topic and to topic strings more specific than this topic.
  - BLOCK       Subscriptions made to a wildcarded topic less specific than the topic string at this topic object do not receive publications made to this topic or to topic strings more specific than this topic.

    The value of this attribute is used when subscriptions are defined. If you alter this attribute, the set of topics covered by existing subscriptions is not affected by the modification. This scenario applies also if the topology is changed when topic objects are created or deleted; the set of topics matching subscriptions created following the modification of the WILDCARD attribute is created using the modified topology. If you want to force the matching set of topics to be re-evaluated for existing subscriptions, you must restart the queue manager.
  DESC
  newvalues('PASSTHRU', 'BLOCK')
  data_type("Optional[Enum['PASSTHRU', 'BLOCK']]")
end
