#
# See the file "LICENSE" for the full license governing this code.
#
property_name = File.basename(__FILE__, '.rb').to_sym
newproperty(property_name, :parent => PuppetX::EnterpriseModules::Mq::WebProperty) do
  desc <<-DESC
  This configuration property is used to specify the HTTP host name as an IP address, domain name server (DNS) host name with domain name suffix, or the DNS host name of the server where IBM MQ is installed.
  You can use an asterisk in double quotation marks to specify all available network interfaces.
  You can use the value localhost to allow only local connections.
  The value for this property is a string value.

  Here is an example on how to use this:

      mq_web { 'mqweb':
        ensure    => 'present',
        ...
        http_host => 'localhost',
        ...
      }

  DESC
  data_type('Optional[String[1]]')
end
