#
# See the file "LICENSE" for the full license governing this code.
#
property_name = File.basename(__FILE__, '.rb').to_sym
newproperty(property_name, :parent => PuppetX::EnterpriseModules::Mq::WebProperty) do
  desc <<-DESC
  This configuration property is used to specify the name of the LTPA token cookie name.
  By default, the value of this property is LtpaToken2_${env.MQWEB_LTPA_SUFFIX} on UNIX, Linux, and Windows , or LtpaToken2_${httpsPort} on z/OS, . The variable after the LtpaToken2_ prefix is used by the mqweb server to generate a unique name for the cookie. You cannot set this variable, but you can change the ltpaCookieName to a value of your choosing.
  The value for this property is a string value.

  Here is an example on how to use this:

      mq_web { 'mqweb':
        ensure           => 'present',
        ...
        ltpa_cookie_name => 'LtpaToken2_${env.MQWEB_LTPA_SUFFIX}',
        ...
      }

  DESC
  data_type('Optional[String[1]]')
end
