#
# See the file "LICENSE" for the full license governing this code.
#
property_name = File.basename(__FILE__, '.rb').to_sym
newproperty(property_name, :parent => PuppetX::EnterpriseModules::Mq::WebProperty) do
  include EasyType::Types::Integer
  desc <<-DESC
  This configuration property is used to specify the time, in seconds, before the LTPA token expires.
  The value for this property is an integer value.
  Here is an example on how to use this:

      mq_web { 'mqweb':
        ensure           => 'present',
        ...
        ltpa_expiration => 120,
        ...
      }

  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
