#
# See the file "LICENSE" for the full license governing this code.
#
property_name = File.basename(__FILE__, '.rb').to_sym
newproperty(property_name, :parent => PuppetX::EnterpriseModules::Mq::WebProperty) do
  include EasyType::Types::Integer
  desc <<-DESC
  This configuration property is used to specify the maximum size, in MB, that each mqweb server log file can reach.
  The value for this property is an integer value.

  Here is an example on how to use this:

      mq_web { 'mqweb':
        ensure              => 'present',
        ...
        max_trace_file_size => 20,
        ...
      }


  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
