#
# See the file "LICENSE" for the full license governing this code.
#
property_name = File.basename(__FILE__, '.rb').to_sym
newproperty(property_name, :array_matching => :all, :parent => PuppetX::EnterpriseModules::Mq::WebProperty) do
  desc <<-DESC
  This configuration property is used to specify the origins that are allowed to access the REST API. For more information about CORS, see Configuring CORS for the REST API.
  The value for this property is an array of string values.

  Here is an example on how to use this:

      mq_web { 'mqweb':
        ensure           => 'present',
        ...
        mq_rest_cors_allowed_origins => ['site1.example.com','site2.example.com']
        ...
      }


  DESC
  data_type('Optional[Variant[String[1],Array[String[1]]]]')
end
