#
# See the file "LICENSE" for the full license governing this code.
#
# rubocop: disable Lint/BooleanSymbol
property_name = File.basename(__FILE__, '.rb').to_sym
newproperty(property_name, :parent => PuppetX::EnterpriseModules::Mq::WebProperty) do
  desc <<-DESC
  This configuration property is used to specify whether CSRF validation checks are performed. A value of false removes the CSRF token validation checks.
  The value for this property is a boolean value.

  Here is an example on how to use this:

      mq_web { 'mqweb':
        ensure                  => 'present',
        ...
        mq_rest_csrf_validation => true,
        ...
      }

  DESC

  newvalues(:true, :false)
  data_type('Optional[Boolean]')
end
# rubocop: enable Lint/BooleanSymbol
