#
# See the file "LICENSE" for the full license governing this code.
#
property_name = File.basename(__FILE__, '.rb').to_sym
newproperty(property_name, :parent => PuppetX::EnterpriseModules::Mq::WebProperty) do
  desc <<-DESC
  This configuration property is used to specify the name of the queue manager to use as the gateway queue manager. This queue manager must be in the same installation as the mqweb server. A blank value indicates that no queue manager is configured as the gateway queue manager.
  The value for this property is a string value.

  Here is an example on how to use this:

      mq_web { 'mqweb':
        ensure               => 'present',
        ...
        mq_rest_gateway_qmgr => 'MYQM',
        ...
      }

  DESC
  data_type('Optional[String]')
end
