#
# See the file "LICENSE" for the full license governing this code.
#
property_name = File.basename(__FILE__, '.rb').to_sym
newproperty(property_name, :parent => PuppetX::EnterpriseModules::Mq::WebProperty) do
  desc <<-DESC
  This configuration property is used to specify the name of the coordination queue manager from which transfer details are retrieved by the REST API for MFT.
  The value for this property is a string value.

  Changes to the value of this property take effect when the mqweb server is next started.

  Here is an example on how to use this:

      mq_web { 'mqweb':
        ensure                        => 'present',
        ...
        mq_rest_mft_coordination_qmgr => 'MYQM2',
        ...
      }

  DESC
  data_type('Optional[String]')
end
