#
# See the file "LICENSE" for the full license governing this code.
#
# rubocop: disable Lint/BooleanSymbol
property_name = File.basename(__FILE__, '.rb').to_sym
newproperty(property_name, :parent => PuppetX::EnterpriseModules::Mq::WebProperty) do
  desc <<-DESC
  This configuration property is used to specify whether the REST API for MFT is enabled.
  The value for this property is a boolean value.

  Changes to the value of this property take effect when the mqweb server is next started.  Here is an example on how to use this:

      mq_web { 'mqweb':
        ensure           => 'present',
        ...
        mq_rest_mft_enabled => false,
        ...
      }

  DESC

  newvalues(:true, :false)
  data_type('Optional[Boolean]')
end
# rubocop: enable Lint/BooleanSymbol
