#
# See the file "LICENSE" for the full license governing this code.
#
property_name = File.basename(__FILE__, '.rb').to_sym
newproperty(property_name, :parent => PuppetX::EnterpriseModules::Mq::WebProperty) do
  include EasyType::Types::Integer
  desc <<-DESC
  This configuration property is used to specify the length of time, in minutes, after which the REST API for MFT stops trying to connect to the coordination queue manager.
  The value for this property is an integer value.

  Changes to the value of this property take effect when the mqweb server is next started.

  Here is an example on how to use this:

      mq_web { 'mqweb':
        ensure           => 'present',
        ...
        mq_rest_mft_reconnect_timeout_in_minutes => 3,
        ...
      }

  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
