#
# See the file "LICENSE" for the full license governing this code.
#
# rubocop: disable Lint/BooleanSymbol
property_name = File.basename(__FILE__, '.rb').to_sym
newproperty(property_name, :parent => PuppetX::EnterpriseModules::Mq::WebProperty) do
  desc <<-DESC
  This configuration property is used to specify whether the LTPA token is secured for all requests. An unsecured LTPA token is required in order send HTTP requests from a browser.
  The value for this property is a boolean value.

  Here is an example on how to use this:

      mq_web { 'mqweb':
        ensure      => 'present',
        ...
        secure_ltpa => true,
        ...
      }

  DESC
  data_type('Optional[Boolean]')
  newvalues(:true, :false)
end
# rubocop: enable Lint/BooleanSymbol
