#
# See the file "LICENSE" for the full license governing this code.
#
property_name = File.basename(__FILE__, '.rb').to_sym
newproperty(property_name, :parent => PuppetX::EnterpriseModules::Mq::WebProperty) do
  include PuppetX::EnterpriseModules::Mq::Commands

  desc <<-DESC
  With this property you can specify the status of the mqweb server. It can either be running` or
  `stopped`.

  Here is an example on how to use this:

      mq_web { 'mqweb':
        ensure           => 'present',
        ...
        status => 'running',
        ...
      }

  DESC

  to_translate_to_resource do |raw_resource|
    if raw_resource[:output].include?("Server 'mqweb' is running.")
      'running'
    else
      'stopped'
    end
  end

  newvalues('running', 'stopped')
  data_type("Optional[Enum['running', 'stopped']]")
  on_modify do
    if value.to_sym == :running
      strmqweb
    else
      endmqweb
    end
    nil
  end
end
