#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/mq/command'

module PuppetX
  module EnterpriseModules
    module Mq
      # docs
      module Commands
        def self.included(parent)
          parent.extend(Commands)
        end

        [
          :addmqinf,
          :crtmqm,
          :dltmqm,
          :dmpmqaut,
          :dspmq,
          :dspmqweb,
          :endmqm,
          :endmqweb,
          :runmqsc,
          :setmqaut,
          :setmqweb,
          :strmqm,
          :strmqweb,
          :rmvmqinf,
          :runmqakm
        ].each do |command|
          klass = "#{command.to_s.capitalize}Command"
          module_eval(<<-CODE, __FILE__, __LINE__ + 1)
            # @nodoc
            # @private
            def #{command}( arguments = '', options = {})                         # def runmqakm( arguments = '', options = {})
              #{command} = PuppetX::EnterpriseModules::Mq::#{klass}.new(options)  #   runmqakm = PuppetX::EnterpriseModules::Mq::RunmqakmCommand.new(options
              #{command}.execute arguments                                        #   runmqakm.execute arguments
            end                                                                   # end
          CODE
          next if command == :runmqsc # For runmqs we use the regulat class

          # rubocop: disable Style/DocumentDynamicEvalDefinition
          PuppetX::EnterpriseModules::Mq.module_eval(<<-CODE, __FILE__, __LINE__ + 1)
            # docs
            class #{klass} < Command
              def initialize(options = {})
                super(:#{command}, options)
              end
            end
          CODE
        end
        # rubocop: enable Style/DocumentDynamicEvalDefinition
      end
    end
  end
end
