#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/mq/property'

module PuppetX
  module EnterpriseModules
    module Mq
      # Docs
      class MgrProperty < Property
        def insync?(current_value)
          return true if provider.status.to_s.include?('End') || (provider.status == 'Stopped')

          changed = !super
          if provider.status.include?('standby')
            Puppet.debug "Change of property '#{name}'' from '#{current_value}' to '#{should}' skipped because queue manager running in standby." if changed
            return true
          end
          !changed
        end

        on_apply do
          #
          # Only do something when the requested status is running.
          # If the requested state is stopped, we are already stopped
          # at this point in timeand we cannot do any changes so we just return.
          #
          return if resource[:status].to_s == 'stopped'

          super()
        end
      end
    end
  end
end
