#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type'
require 'puppet_x/enterprisemodules/mq/commands'

module Puppet_X
  module EnterpriseModules
    module Mq
      # Generic MQ provider code
      module Provider
        include EasyType::Provider

        def self.included(parent)
          #
          # We use send here because in ruby 1.8.7, include is a private
          # method. In ruby 1.9 this has become public.
          # TODO: When we lose support for ruby 1.8.7 change this to more standard
          #
          parent.send(:include, EasyType)
          parent.send(:include, EasyType::Provider)
          parent.send(:include, PuppetX::EnterpriseModules::Mq::Commands)

          parent.instance_eval do
            kernel = Facter.value(:kernel)
            case kernel
            when 'windows'
              confine :exists => '"C:\\Program Files\\IBM\\MQ\\bin\\setmqenv.cmd"'
            when 'Linux', 'SunOS'
              confine :exists => '/opt/mqm/bin/setmqenv'
            when 'AIX'
              confine :exists => '/usr/mqm/bin/setmqenv'
            else
              # Because the document generation also call's this, we leave thie whitout any
              # failur. But we do put this to the debug log
              Puppet.debug "#{kernel} is not supported at this point in time."
            end
          end
        end
      end
    end
  end
end
