#
# See the file "LICENSE" for the full license governing this code.
#

require 'puppet_x/enterprisemodules/mq/property'

module PuppetX
  module EnterpriseModules
    module Mq
      #
      # Generic class for all mq_web properties
      #
      class WebProperty < Property
        def self.translate_to_resource(raw_resource, _resource)
          value = raw_resource[:output].scan(/name="#{property_name}".*value="(.*)"\n/).flatten.first
          return nil if value && value == ' '
          return value.split(',').collect(&:strip) if value && match_all?

          value
        end

        on_apply do
          actual_value = value && match_all? ? value.join(',') : value
          "-k #{self.class.property_name} -v #{actual_value}"
        end

        def self.property_name
          property_name = name.to_s.split('_').collect(&:capitalize).join
          # Set first letter to downcase
          property_name[0, 1].downcase + property_name[1..-1]
        end
      end
    end
  end
end
